#include <common/RobotInfo.h>

#undef __STRICT_ANSI__
#include <linux/videodev2.h>
#include <linux/version.h>
//#include <linux/i2c-dev.h>
#include "i2c-dev.h"
#define __STRICT_ANSI__

#ifndef V4L2_CID_AUTOEXPOSURE
#  define V4L2_CID_AUTOEXPOSURE     (V4L2_CID_BASE+32)
#endif

#ifndef V4L2_CID_CAM_INIT
#  define V4L2_CID_CAM_INIT         (V4L2_CID_BASE+33)
#endif

#ifndef V4L2_CID_EXPOSURE_CORRECTION
#  define V4L2_CID_EXPOSURE_CORRECTION    (V4L2_CID_BASE+34)
#endif

#ifndef V4L2_CID_AEC_ALGORITHM
#  define V4L2_CID_AEC_ALGORITHM          (V4L2_CID_BASE+35)
#endif

#ifndef V4L2_CID_SAT_AUTO
#  define V4L2_CID_SAT_AUTO		(V4L2_CID_BASE+36)
#endif

#ifndef V4L2_CID_YGB_AVERAGE_LEVEL
#  define V4L2_CID_YGB_AVERAGE_LEVEL      (V4L2_CID_BASE+37)
#endif


#ifndef V4L2_CID_AWB_G_CHANNEL_GAIN
#  define V4L2_CID_AWB_G_CHANNEL_GAIN     (V4L2_CID_BASE+38)
#endif


#ifndef V4L2_CID_UVSAT_RESULT
#  define V4L2_CID_UVSAT_RESULT		(V4L2_CID_BASE+39)
#endif


#ifndef V4L2_CID_EDGE_ENH_FACTOR
#  define V4L2_CID_EDGE_ENH_FACTOR	(V4L2_CID_BASE+40)
#endif


#ifndef V4L2_CID_DENOISE_STRENGTH
#  define V4L2_CID_DENOISE_STRENGTH	(V4L2_CID_BASE+41)
#endif


#ifndef V4L2_CID_AUTO_CONTRAST_CENTER
#  define V4L2_CID_AUTO_CONTRAST_CENTER	(V4L2_CID_BASE+42)
#endif


#ifndef V4L2_CID_CONTRAST_CENTER
#  define V4L2_CID_CONTRAST_CENTER	(V4L2_CID_BASE+43)
#endif



#ifndef V4L2_CID_AUDIO_MUTE
#  define V4L2_CID_AUDIO_MUTE       (V4L2_CID_BASE+9)
#endif

#ifndef V4L2_CID_POWER_LINE_FREQUENCY
#  define V4L2_CID_POWER_LINE_FREQUENCY  (V4L2_CID_BASE+24)
enum v4l2_power_line_frequency {
  V4L2_CID_POWER_LINE_FREQUENCY_DISABLED  = 0,
  V4L2_CID_POWER_LINE_FREQUENCY_50HZ  = 1,
  V4L2_CID_POWER_LINE_FREQUENCY_60HZ  = 2,
};

#define V4L2_CID_HUE_AUTO      (V4L2_CID_BASE+25)
#define V4L2_CID_WHITE_BALANCE_TEMPERATURE  (V4L2_CID_BASE+26)
#define V4L2_CID_SHARPNESS      (V4L2_CID_BASE+27)
#define V4L2_CID_BACKLIGHT_COMPENSATION   (V4L2_CID_BASE+28)

#define V4L2_CID_CAMERA_CLASS_BASE     (V4L2_CTRL_CLASS_CAMERA | 0x900)
#define V4L2_CID_CAMERA_CLASS       (V4L2_CTRL_CLASS_CAMERA | 1)

#define V4L2_CID_EXPOSURE_AUTO      (V4L2_CID_CAMERA_CLASS_BASE+1)
enum  v4l2_exposure_auto_type {
  V4L2_EXPOSURE_MANUAL = 0,
  V4L2_EXPOSURE_AUTO = 1,
  V4L2_EXPOSURE_SHUTTER_PRIORITY = 2,
  V4L2_EXPOSURE_APERTURE_PRIORITY = 3
};
#define V4L2_CID_EXPOSURE_ABSOLUTE    (V4L2_CID_CAMERA_CLASS_BASE+2)
#define V4L2_CID_EXPOSURE_AUTO_PRIORITY    (V4L2_CID_CAMERA_CLASS_BASE+3)

#define V4L2_CID_PAN_RELATIVE      (V4L2_CID_CAMERA_CLASS_BASE+4)
#define V4L2_CID_TILT_RELATIVE      (V4L2_CID_CAMERA_CLASS_BASE+5)
#define V4L2_CID_PAN_RESET      (V4L2_CID_CAMERA_CLASS_BASE+6)
#define V4L2_CID_TILT_RESET      (V4L2_CID_CAMERA_CLASS_BASE+7)

#define V4L2_CID_PAN_ABSOLUTE      (V4L2_CID_CAMERA_CLASS_BASE+8)
#define V4L2_CID_TILT_ABSOLUTE      (V4L2_CID_CAMERA_CLASS_BASE+9)

#define V4L2_CID_FOCUS_ABSOLUTE      (V4L2_CID_CAMERA_CLASS_BASE+10)
#define V4L2_CID_FOCUS_RELATIVE      (V4L2_CID_CAMERA_CLASS_BASE+11)
#define V4L2_CID_FOCUS_AUTO      (V4L2_CID_CAMERA_CLASS_BASE+12)

#endif /* LINUX_VERSION_CODE < KERNEL_VERSION(2,6,26) */
