 # !/usr/bin/env python

from __future__ import print_function
from __future__ import division
from __future__ import absolute_import

 #  goalie dive
import core
from memory import robot_state
import UTdebug
diveRightTwo = dict()

diveRightTwo[core.HeadYaw] = 0.0
diveRightTwo[core.HeadPitch] = -1.0 * 0.0
diveRightTwo[core.LShoulderPitch] = -1.0 * 100
diveRightTwo[core.LShoulderRoll] = 20
diveRightTwo[core.LElbowYaw] = -50  # -80
diveRightTwo[core.LElbowRoll] = -56  # -45
diveRightTwo[core.LHipYawPitch] = -2
diveRightTwo[core.LHipRoll] = -1.0 * -2  # 35  #  lhip roll
diveRightTwo[core.LHipPitch] = 0  # -5
diveRightTwo[core.LKneePitch] = 0  # 7
diveRightTwo[core.LAnklePitch] = 0  # -3
diveRightTwo[core.LAnkleRoll] = -1.0 * 0  # -25  #  left ankle roll
diveRightTwo[core.RHipYawPitch] = -2
diveRightTwo[core.RHipRoll] = 9  # 45  #  rhip roll
diveRightTwo[core.RHipPitch] = -34  # -5
diveRightTwo[core.RKneePitch] = 95  # 7
diveRightTwo[core.RAnklePitch] = -67  # -3
diveRightTwo[core.RAnkleRoll] = 0  # -25  #  r ankle roll
diveRightTwo[core.RShoulderPitch] = -1.0 * -87  #  r sh p
diveRightTwo[core.RShoulderRoll] = -1.0 * -9   # r sh r
diveRightTwo[core.RElbowYaw] = -1.0 * -8.5
diveRightTwo[core.RElbowRoll] = -1.0 * 2


diveLeftTwo = dict()

diveLeftTwo[core.HeadYaw] = 0.0
diveLeftTwo[core.HeadPitch] = -1.0 * 0.0
diveLeftTwo[core.LShoulderPitch] = -1.0 * -87  # 100   #  l shoulderpitch
diveLeftTwo[core.LShoulderRoll] = -9   # 20
diveLeftTwo[core.LElbowYaw] = -8.5  # -50  # -80
diveLeftTwo[core.LElbowRoll] = 2     # -56  # -45
diveLeftTwo[core.LHipYawPitch] = -2  # 6.5
diveLeftTwo[core.LHipRoll] = -1.0 * -9  # -45  #  lhip roll
diveLeftTwo[core.LHipPitch] = -34  # -5
diveLeftTwo[core.LKneePitch] = 95  # 7
diveLeftTwo[core.LAnklePitch] = -67  # -3
diveLeftTwo[core.LAnkleRoll] = -1.0 * 0 # left ankle roll
diveLeftTwo[core.RHipYawPitch] = -2
diveLeftTwo[core.RHipRoll] = 2  # rhip roll
diveLeftTwo[core.RHipPitch] = 0 # -34-5
diveLeftTwo[core.RKneePitch] = 0  # 7
diveLeftTwo[core.RAnklePitch] = 0  # -3
diveLeftTwo[core.RAnkleRoll] = 0  # 25  #  r ankle roll
diveLeftTwo[core.RShoulderPitch] = -1.0 * 100     # r shoulder pitch
diveLeftTwo[core.RShoulderRoll] = -1.0 * 20  # r s r
diveLeftTwo[core.RElbowYaw] = -1.0 * -50  # r e y
diveLeftTwo[core.RElbowRoll] = -1.0 * -56      #  r e r



diveLeftTwoB = dict()

diveLeftTwoB[core.HeadYaw] = 0.0
diveLeftTwoB[core.HeadPitch] = -1.0 * 0.0
diveLeftTwoB[core.LShoulderPitch] = -1.0 * -87  # 100   #  l shoulderpitch
diveLeftTwoB[core.LShoulderRoll] = -9   # 20
diveLeftTwoB[core.LElbowYaw] = -8.5  # -50  # -80
diveLeftTwoB[core.LElbowRoll] = 2     # -56  # -45
diveLeftTwoB[core.LHipYawPitch] = -2  # 6.5
diveLeftTwoB[core.LHipRoll] = -1.0 * 0  # -9  # -45  #  lhip roll
diveLeftTwoB[core.LHipPitch] = 0  # -34  # -5
diveLeftTwoB[core.LKneePitch] = 0  # 95  # 7
diveLeftTwoB[core.LAnklePitch] = 90  # -3
diveLeftTwoB[core.LAnkleRoll] = -1.0 * 0  # left ankle roll
diveLeftTwoB[core.RHipYawPitch] = -2
diveLeftTwoB[core.RHipRoll] = 2  # rhip roll
diveLeftTwoB[core.RHipPitch] = 0 # -34-5
diveLeftTwoB[core.RKneePitch] = 0  # 7
diveLeftTwoB[core.RAnklePitch] = 0  # -3
diveLeftTwoB[core.RAnkleRoll] = 0  # 25  #  r ankle roll
diveLeftTwoB[core.RShoulderPitch] = -1.0 * 100     # r shoulder pitch
diveLeftTwoB[core.RShoulderRoll] = -1.0 * 20     # r s r
diveLeftTwoB[core.RElbowYaw] = -1.0 * -50    # r e y
diveLeftTwoB[core.RElbowRoll] = -1.0 * -56      #  r e r


# possible goalie dive
diveRightTwoB = dict()

diveRightTwoB[core.HeadYaw] = 0.0
diveRightTwoB[core.HeadPitch] = -1.0 * 0.0
diveRightTwoB[core.LShoulderPitch] = -1.0 * 100
diveRightTwoB[core.LShoulderRoll] = 20
diveRightTwoB[core.LElbowYaw] = -50  # -80
diveRightTwoB[core.LElbowRoll] = -56  # -45
diveRightTwoB[core.LHipYawPitch] = -2
diveRightTwoB[core.LHipRoll] = -1.0 * -2  # 35  #  lhip roll
diveRightTwoB[core.LHipPitch] = 0  # -5
diveRightTwoB[core.LKneePitch] = 0  # 7
diveRightTwoB[core.LAnklePitch] = 0  # -3
diveRightTwoB[core.LAnkleRoll] = -1.0 * 0  # -25  #  left ankle roll
diveRightTwoB[core.RHipYawPitch] = -2
diveRightTwoB[core.RHipRoll] = 9  # 45  #  rhip roll
diveRightTwoB[core.RHipPitch] = 0  # -5
diveRightTwoB[core.RKneePitch] = 0  # 7
diveRightTwoB[core.RAnklePitch] = 90  # -3
diveRightTwoB[core.RAnkleRoll] = 0  # -25  #  r ankle roll
diveRightTwoB[core.RShoulderPitch] = -1.0 * -87   # r sh p
diveRightTwoB[core.RShoulderRoll] = -1.0 * -9    # r sh r
diveRightTwoB[core.RElbowYaw] = -1.0 * -8.5
diveRightTwoB[core.RElbowRoll] = -1.0 * 2


crabPose = dict()

crabPose[core.HeadYaw] = 0.0
crabPose[core.HeadPitch] = -1.0 * 10.0

crabPose[core.LShoulderPitch] = -1.0 * 36
crabPose[core.LShoulderRoll] = 0
crabPose[core.LElbowYaw] = -100
crabPose[core.LElbowRoll] = -60

crabPose[core.LHipYawPitch] = -68  # hip yaw pitch
crabPose[core.LHipRoll] = -1.0 * 44
crabPose[core.LHipPitch] = -79
crabPose[core.LKneePitch] = 9
crabPose[core.LAnklePitch] = 44
crabPose[core.LAnkleRoll] = -1.0 * 9

crabPose[core.RHipYawPitch] = -68
crabPose[core.RHipRoll] = -44
crabPose[core.RHipPitch] = -79
crabPose[core.RKneePitch] = -9
crabPose[core.RAnklePitch] = 44
crabPose[core.RAnkleRoll] = -9

crabPose[core.RShoulderPitch] = -1.0 * 36
crabPose[core.RShoulderRoll] = -1.0 * 0
crabPose[core.RElbowYaw] = -1.0 * 100
crabPose[core.RElbowRoll] = -1.0 * 60

KeeperDiveGoingDown0 = dict()
KeeperDiveGoingDown0[core.HeadYaw] = 4.2815668335855
KeeperDiveGoingDown0[core.HeadPitch] = -1.0 * -31.028183361534
KeeperDiveGoingDown0[core.LShoulderPitch] = 78.226
KeeperDiveGoingDown0[core.LShoulderRoll] = 6.150
KeeperDiveGoingDown0[core.LElbowYaw] = 25.6619
KeeperDiveGoingDown0[core.LElbowRoll] = -6.50158
KeeperDiveGoingDown0[core.LHipYawPitch] = 0
KeeperDiveGoingDown0[core.LHipPitch] = -30
KeeperDiveGoingDown0[core.LHipRoll] = 0
KeeperDiveGoingDown0[core.LKneePitch] = 65
KeeperDiveGoingDown0[core.LAnklePitch] = -35
KeeperDiveGoingDown0[core.LAnkleRoll] = 0
KeeperDiveGoingDown0[core.RHipYawPitch] = 0
KeeperDiveGoingDown0[core.RHipPitch] = -30
KeeperDiveGoingDown0[core.RHipRoll] = 0
KeeperDiveGoingDown0[core.RKneePitch] = 65
KeeperDiveGoingDown0[core.RAnklePitch] = -35
KeeperDiveGoingDown0[core.RAnkleRoll] = 0
KeeperDiveGoingDown0[core.RShoulderPitch] = -1.0 * 104.76934401853
KeeperDiveGoingDown0[core.RShoulderRoll] = -1.0 * -10.988870228259
KeeperDiveGoingDown0[core.RElbowYaw] = -1.0 * 79.627499645978
KeeperDiveGoingDown0[core.RElbowRoll] = -1.0 * 30.852401613054

KeeperDiveGoingDown0Right = dict()
KeeperDiveGoingDown0Right[core.HeadYaw] = 4.2815668335855
KeeperDiveGoingDown0Right[core.HeadPitch] = -1.0 * -31.028183361534
KeeperDiveGoingDown0Right[core.RShoulderPitch] = 78.226
KeeperDiveGoingDown0Right[core.RShoulderRoll] = -6.150
KeeperDiveGoingDown0Right[core.RElbowYaw] = -25.6619
KeeperDiveGoingDown0Right[core.RElbowRoll] = 6.50158
KeeperDiveGoingDown0Right[core.RHipYawPitch] = 0
KeeperDiveGoingDown0Right[core.RHipPitch] = -30
KeeperDiveGoingDown0Right[core.RHipRoll] = 0
KeeperDiveGoingDown0Right[core.RKneePitch] = 65
KeeperDiveGoingDown0Right[core.RAnklePitch] = -35
KeeperDiveGoingDown0Right[core.RAnkleRoll] = 0
KeeperDiveGoingDown0Right[core.LHipYawPitch] = 0
KeeperDiveGoingDown0Right[core.LHipPitch] = -30
KeeperDiveGoingDown0Right[core.LHipRoll] = 0
KeeperDiveGoingDown0Right[core.LKneePitch] = 65
KeeperDiveGoingDown0Right[core.LAnklePitch] = -35
KeeperDiveGoingDown0Right[core.LAnkleRoll] = 0
KeeperDiveGoingDown0Right[core.LShoulderPitch] = -1.0 * 104.76934401853
KeeperDiveGoingDown0Right[core.LShoulderRoll] = 1.0 * -10.988870228259
KeeperDiveGoingDown0Right[core.LElbowYaw] = 1.0 * 79.627499645978
KeeperDiveGoingDown0Right[core.LElbowRoll] = 1.0 * 30.852401613054

KeeperDiveGoingDown1 = dict()
KeeperDiveGoingDown1[core.HeadYaw] = 4.2815668335855
KeeperDiveGoingDown1[core.HeadPitch] = 31.028183361534
KeeperDiveGoingDown1[core.LShoulderPitch] = 97.825896651695
KeeperDiveGoingDown1[core.LShoulderRoll] = 14.236055711578
KeeperDiveGoingDown1[core.LElbowYaw] = 2.7222393418266
KeeperDiveGoingDown1[core.LElbowRoll] = -4.0406152620272
KeeperDiveGoingDown1[core.LHipYawPitch] = -1.4917551496395
KeeperDiveGoingDown1[core.LHipRoll] = -3.6938568031494
KeeperDiveGoingDown1[core.LHipPitch] = -33.044885506439
KeeperDiveGoingDown1[core.LKneePitch] = 82.352144068167
KeeperDiveGoingDown1[core.LAnklePitch] = -44.827187220954
KeeperDiveGoingDown1[core.LAnkleRoll] = -12.04357096442
KeeperDiveGoingDown1[core.RHipYawPitch] = 0
KeeperDiveGoingDown1[core.RHipRoll] = 6.7700672836174
KeeperDiveGoingDown1[core.RHipPitch] = -25.051545856625
KeeperDiveGoingDown1[core.RKneePitch] = 58.098839004747
KeeperDiveGoingDown1[core.RAnklePitch] = -29.177649473851
KeeperDiveGoingDown1[core.RAnkleRoll] = 9.055252211965
KeeperDiveGoingDown1[core.RShoulderPitch] = -104.76934401853
KeeperDiveGoingDown1[core.RShoulderRoll] = 10.988870228259
KeeperDiveGoingDown1[core.RElbowYaw] = -79.627499645978
KeeperDiveGoingDown1[core.RElbowRoll] = -30.852401613054

KeeperDiveGoingDown1Right = dict()
KeeperDiveGoingDown1Right[core.HeadYaw] = 4.2815668335855
KeeperDiveGoingDown1Right[core.HeadPitch] = 31.028183361534
KeeperDiveGoingDown1Right[core.RShoulderPitch] = 97.825896651695
KeeperDiveGoingDown1Right[core.RShoulderRoll] = -14.236055711578
KeeperDiveGoingDown1Right[core.RElbowYaw] = -2.7222393418266
KeeperDiveGoingDown1Right[core.RElbowRoll] = 4.0406152620272
KeeperDiveGoingDown1Right[core.RHipYawPitch] = -1.4917551496395
KeeperDiveGoingDown1Right[core.RHipRoll] = 3.6938568031494
KeeperDiveGoingDown1Right[core.RHipPitch] = -33.044885506439
KeeperDiveGoingDown1Right[core.RKneePitch] = 82.352144068167
KeeperDiveGoingDown1Right[core.RAnklePitch] = -44.827187220954
KeeperDiveGoingDown1Right[core.RAnkleRoll] = 12.04357096442
KeeperDiveGoingDown1Right[core.LHipYawPitch] = 0
KeeperDiveGoingDown1Right[core.LHipRoll] = -6.7700672836174
KeeperDiveGoingDown1Right[core.LHipPitch] = -25.051545856625
KeeperDiveGoingDown1Right[core.LKneePitch] = 58.098839004747
KeeperDiveGoingDown1Right[core.LAnklePitch] = -29.177649473851
KeeperDiveGoingDown1Right[core.LAnkleRoll] = -9.055252211965
KeeperDiveGoingDown1Right[core.LShoulderPitch] = -104.76934401853
KeeperDiveGoingDown1Right[core.LShoulderRoll] = -10.988870228259
KeeperDiveGoingDown1Right[core.LElbowYaw] = 79.627499645978
KeeperDiveGoingDown1Right[core.LElbowRoll] = 30.852401613054

KeeperDiveGoingDown2 = dict()
KeeperDiveGoingDown2[core.HeadYaw] = 3.7542164655053
KeeperDiveGoingDown2[core.LShoulderPitch] = 97.825896651695
KeeperDiveGoingDown2[core.LShoulderRoll] = 14.236055711578
KeeperDiveGoingDown2[core.LElbowYaw] = 2.7222393418266
KeeperDiveGoingDown2[core.LElbowRoll] = -4.0406152620272
KeeperDiveGoingDown2[core.LHipYawPitch] = -5.0074242701743
KeeperDiveGoingDown2[core.LHipRoll] = 19.245885062114
KeeperDiveGoingDown2[core.LHipPitch] = -46.492319038711
KeeperDiveGoingDown2[core.LKneePitch] = 120.14558199127
KeeperDiveGoingDown2[core.LAnklePitch] = -65.130177245816
KeeperDiveGoingDown2[core.LAnkleRoll] = -5.6274748194435
KeeperDiveGoingDown2[core.RHipYawPitch] = 0
KeeperDiveGoingDown2[core.RHipRoll] = -7.7320678385887
KeeperDiveGoingDown2[core.RHipPitch] = -29.62191571332
KeeperDiveGoingDown2[core.RKneePitch] = 71.018920461391
KeeperDiveGoingDown2[core.RAnklePitch] = -32.9569946322
KeeperDiveGoingDown2[core.RAnkleRoll] = -5.183207726201
KeeperDiveGoingDown2[core.RShoulderPitch] = -105.20880521991
KeeperDiveGoingDown2[core.RShoulderRoll] = 8.7915770279249
KeeperDiveGoingDown2[core.RElbowYaw] = -80.330633470085
KeeperDiveGoingDown2[core.RElbowRoll] = -30.852401613054

KeeperDiveGoingDown2Right = dict()
KeeperDiveGoingDown2Right[core.HeadYaw] = 3.7542164655053
KeeperDiveGoingDown2Right[core.RShoulderPitch] = 97.825896651695
KeeperDiveGoingDown2Right[core.RShoulderRoll] = -14.236055711578
KeeperDiveGoingDown2Right[core.RElbowYaw] = -2.7222393418266
KeeperDiveGoingDown2Right[core.RElbowRoll] = 4.0406152620272
KeeperDiveGoingDown2Right[core.RHipYawPitch] = -5.0074242701743
KeeperDiveGoingDown2Right[core.RHipRoll] = -19.245885062114
KeeperDiveGoingDown2Right[core.RHipPitch] = -46.492319038711
KeeperDiveGoingDown2Right[core.RKneePitch] = 120.14558199127
KeeperDiveGoingDown2Right[core.RAnklePitch] = -65.130177245816
KeeperDiveGoingDown2Right[core.RAnkleRoll] = 5.6274748194435
KeeperDiveGoingDown2Right[core.LHipYawPitch] = 0
KeeperDiveGoingDown2Right[core.LHipRoll] = 7.7320678385887
KeeperDiveGoingDown2Right[core.LHipPitch] = -29.62191571332
KeeperDiveGoingDown2Right[core.LKneePitch] = 71.018920461391
KeeperDiveGoingDown2Right[core.LAnklePitch] = -32.9569946322
KeeperDiveGoingDown2Right[core.LAnkleRoll] = 5.183207726201
KeeperDiveGoingDown2Right[core.LShoulderPitch] = -105.20880521991
KeeperDiveGoingDown2Right[core.LShoulderRoll] = -8.7915770279249
KeeperDiveGoingDown2Right[core.LElbowYaw] = 80.330633470085
KeeperDiveGoingDown2Right[core.LElbowRoll] = 30.852401613054

KeeperDiveGoingDown3 = dict()
KeeperDiveGoingDown3[core.HeadYaw] = 3.6663247374919
KeeperDiveGoingDown3[core.HeadPitch] = 30.412940411667
KeeperDiveGoingDown3[core.LShoulderPitch] = 97.825896651695
KeeperDiveGoingDown3[core.LShoulderRoll] = 14.236055711578
KeeperDiveGoingDown3[core.LElbowYaw] = 2.7222393418266
KeeperDiveGoingDown3[core.LElbowRoll] = -4.0406152620272
KeeperDiveGoingDown3[core.LHipYawPitch] = -13.708705343498
KeeperDiveGoingDown3[core.LHipRoll] = 20.212693216487
KeeperDiveGoingDown3[core.LHipPitch] = -46.668104202285
KeeperDiveGoingDown3[core.LKneePitch] = 121.55184963949
KeeperDiveGoingDown3[core.LAnklePitch] = -64.778606918668
KeeperDiveGoingDown3[core.LAnkleRoll] = -6.4185003715639
KeeperDiveGoingDown3[core.RHipYawPitch] = 0
KeeperDiveGoingDown3[core.RHipRoll] = -7.2047174705085
KeeperDiveGoingDown3[core.RHipPitch] = 5.5347746382545
KeeperDiveGoingDown3[core.RKneePitch] = 0.17818768261459
KeeperDiveGoingDown3[core.RAnklePitch] = -15.202863865952
KeeperDiveGoingDown3[core.RAnkleRoll] = -8.8746603027626
KeeperDiveGoingDown3[core.RShoulderPitch] = -106.17561166674
KeeperDiveGoingDown3[core.RShoulderRoll] = 8.7915770279249
KeeperDiveGoingDown3[core.RElbowYaw] = -80.154851721606
KeeperDiveGoingDown3[core.RElbowRoll] = -30.764510738815

KeeperDiveGoingDown3Right = dict()
KeeperDiveGoingDown3Right[core.HeadYaw] = 3.6663247374919
KeeperDiveGoingDown3Right[core.HeadPitch] = 30.412940411667
KeeperDiveGoingDown3Right[core.RShoulderPitch] = 97.825896651695
KeeperDiveGoingDown3Right[core.RShoulderRoll] = -14.236055711578
KeeperDiveGoingDown3Right[core.RElbowYaw] = -2.7222393418266
KeeperDiveGoingDown3Right[core.RElbowRoll] = 4.0406152620272
KeeperDiveGoingDown3Right[core.RHipYawPitch] = -13.708705343498
KeeperDiveGoingDown3Right[core.RHipRoll] = -20.212693216487
KeeperDiveGoingDown3Right[core.RHipPitch] = -46.668104202285
KeeperDiveGoingDown3Right[core.RKneePitch] = 121.55184963949
KeeperDiveGoingDown3Right[core.RAnklePitch] = -64.778606918668
KeeperDiveGoingDown3Right[core.RAnkleRoll] = 6.4185003715639
KeeperDiveGoingDown3Right[core.LHipYawPitch] = 0
KeeperDiveGoingDown3Right[core.LHipRoll] = 7.2047174705085
KeeperDiveGoingDown3Right[core.LHipPitch] = 5.5347746382545
KeeperDiveGoingDown3Right[core.LKneePitch] = 0.17818768261459
KeeperDiveGoingDown3Right[core.LAnklePitch] = -15.202863865952
KeeperDiveGoingDown3Right[core.LAnkleRoll] = 8.8746603027626
KeeperDiveGoingDown3Right[core.LShoulderPitch] = -106.17561166674
KeeperDiveGoingDown3Right[core.LShoulderRoll] = -8.7915770279249
KeeperDiveGoingDown3Right[core.LElbowYaw] = 80.154851721606
KeeperDiveGoingDown3Right[core.LElbowRoll] = 30.764510738815





KeeperDiveOnSide = dict()
KeeperDiveOnSide[core.HeadYaw] = 3.6663247374919
KeeperDiveOnSide[core.HeadPitch] = -1.0 *  -30.412940411667
KeeperDiveOnSide[core.LShoulderPitch] = -1.0 *  -97.826
KeeperDiveOnSide[core.LShoulderRoll] = 1
KeeperDiveOnSide[core.LElbowYaw] = 2.7222
KeeperDiveOnSide[core.LElbowRoll] = -4.041
KeeperDiveOnSide[core.LHipYawPitch] = -13.708705343498
KeeperDiveOnSide[core.LHipRoll] = 0
KeeperDiveOnSide[core.LHipPitch] = 5.53 
KeeperDiveOnSide[core.LKneePitch] = 0.178
KeeperDiveOnSide[core.LAnklePitch] = -15.203
KeeperDiveOnSide[core.LAnkleRoll] = -8.875
KeeperDiveOnSide[core.RHipYawPitch] = 0
KeeperDiveOnSide[core.RHipRoll] = 0
KeeperDiveOnSide[core.RHipPitch] = 5.53
KeeperDiveOnSide[core.RKneePitch] = 0.178
KeeperDiveOnSide[core.RAnklePitch] = -15.203
KeeperDiveOnSide[core.RAnkleRoll] = -8.875
KeeperDiveOnSide[core.RShoulderPitch] = 97.826
KeeperDiveOnSide[core.RShoulderRoll] = 1
KeeperDiveOnSide[core.RElbowYaw] = 2.7222
KeeperDiveOnSide[core.RElbowRoll] = -4.041

KeeperDiveOnSideRight = dict()
KeeperDiveOnSideRight[core.HeadYaw] = 3.6663247374919
KeeperDiveOnSideRight[core.HeadPitch] = -1.0 *  -30.412940411667
KeeperDiveOnSideRight[core.RShoulderPitch] = -1.0 *  -97.826
KeeperDiveOnSideRight[core.RShoulderRoll] = -1
KeeperDiveOnSideRight[core.RElbowYaw] = -2.7222
KeeperDiveOnSideRight[core.RElbowRoll] = 4.041
KeeperDiveOnSideRight[core.RHipYawPitch] = 0
KeeperDiveOnSideRight[core.RHipRoll] = 0
KeeperDiveOnSideRight[core.RHipPitch] = 5.53 
KeeperDiveOnSideRight[core.RKneePitch] = 0.178
KeeperDiveOnSideRight[core.RAnklePitch] = -15.203
KeeperDiveOnSideRight[core.RAnkleRoll] = 8.875
KeeperDiveOnSideRight[core.LHipYawPitch] = -13.708705343498
KeeperDiveOnSideRight[core.LHipRoll] = 0
KeeperDiveOnSideRight[core.LHipPitch] = 5.53
KeeperDiveOnSideRight[core.LKneePitch] = 0.178
KeeperDiveOnSideRight[core.LAnklePitch] = -15.203
KeeperDiveOnSideRight[core.LAnkleRoll] = 8.875
KeeperDiveOnSideRight[core.LShoulderPitch] = 97.826
KeeperDiveOnSideRight[core.LShoulderRoll] = -1
KeeperDiveOnSideRight[core.LElbowYaw] = -2.7222
KeeperDiveOnSideRight[core.LElbowRoll] = 4.041


GoalieLeftSplayInter1 = dict()
GoalieLeftSplayInter1[core.HeadYaw] = 1.4917551496395
GoalieLeftSplayInter1[core.HeadPitch] = -1.0 *  -25.930464844306
GoalieLeftSplayInter1[core.LShoulderPitch] = -1.0 *  69.432062611522
GoalieLeftSplayInter1[core.LShoulderRoll] = 14.939189535685
GoalieLeftSplayInter1[core.LElbowYaw] = -51.067497348582
GoalieLeftSplayInter1[core.LElbowRoll] = 1.6723470588419
GoalieLeftSplayInter1[core.LHipYawPitch] = -31.726508732465
GoalieLeftSplayInter1[core.LHipRoll] = -1.0 *  21.096418949797
GoalieLeftSplayInter1[core.LHipPitch] = -20.300585798274
GoalieLeftSplayInter1[core.LKneePitch] = 89.383482309236
GoalieLeftSplayInter1[core.LAnklePitch] = -45.969778831354
GoalieLeftSplayInter1[core.LAnkleRoll] = -1.0 *  -12.478221151311
GoalieLeftSplayInter1[core.RHipYawPitch] = 0
GoalieLeftSplayInter1[core.RHipRoll] = -8.0836347506422
GoalieLeftSplayInter1[core.RHipPitch] = -4.0454237152029
GoalieLeftSplayInter1[core.RKneePitch] = 87.45467103857
GoalieLeftSplayInter1[core.RAnklePitch] = -59.236618746876
GoalieLeftSplayInter1[core.RAnkleRoll] = 1.4965636028151
GoalieLeftSplayInter1[core.RShoulderPitch] = -1.0 *  110.83387581277
GoalieLeftSplayInter1[core.RShoulderRoll] = -1.0 *  -13.801405524687
GoalieLeftSplayInter1[core.RElbowYaw] = -1.0 *  78.748584073392
GoalieLeftSplayInter1[core.RElbowRoll] = -1.0 *  28.743000140734

GoalieLeftSplayInter1[core.LShoulderPitch] = -1.0 *  -5.6274748194435
GoalieLeftSplayInter1[core.LShoulderRoll] = 14.70072959751912
GoalieLeftSplayInter1[core.LElbowYaw] = 97.293736122892
GoalieLeftSplayInter1[core.LElbowRoll] = -9.8414693109096
GoalieLeftSplayInter1[core.RShoulderPitch] = -1.0 *  1.6723470588419
GoalieLeftSplayInter1[core.RShoulderRoll] = -1.0 *  -14.70553805069481
GoalieLeftSplayInter1[core.RElbowYaw] = -1.0 *  -48.606528964208
GoalieLeftSplayInter1[core.RElbowRoll] = -1.0 *  -1.5796468776528

GoalieLeftSplayInter1[core.LShoulderPitch] = -1.0 *  45.525512591885
GoalieLeftSplayInter1[core.LShoulderRoll] = 14.1383354868027
GoalieLeftSplayInter1[core.LElbowYaw] = -2.4633726109622
GoalieLeftSplayInter1[core.LElbowRoll] = -49.480639498713
GoalieLeftSplayInter1[core.RShoulderPitch] = -1.0 *  41.311518100419
GoalieLeftSplayInter1[core.RShoulderRoll] = -1.0 *  0.1733792294389
GoalieLeftSplayInter1[core.RElbowYaw] = -1.0 *  4.7437490861342
GoalieLeftSplayInter1[core.RElbowRoll] = -1.0 *  38.85054630095

GoalieLeftSplayInter2 = dict()
GoalieLeftSplayInter2[core.HeadYaw] = 1.2280799655993
GoalieLeftSplayInter2[core.HeadPitch] = -1.0 *  -25.930464844306
GoalieLeftSplayInter2[core.LShoulderPitch] = -1.0 *  68.992601410134
GoalieLeftSplayInter2[core.LShoulderRoll] = 22.937335931128
GoalieLeftSplayInter2[core.LElbowYaw] = -51.155391637917
GoalieLeftSplayInter2[core.LElbowRoll] = 1.7602387868553
GoalieLeftSplayInter2[core.LHipYawPitch] = -37.966822275188
GoalieLeftSplayInter2[core.LHipRoll] = -1.0 *  34.983313683457
GoalieLeftSplayInter2[core.LHipPitch] = -28.122948737691
GoalieLeftSplayInter2[core.LKneePitch] = 45.613403466125
GoalieLeftSplayInter2[core.LAnklePitch] = 14.675515205419
GoalieLeftSplayInter2[core.LAnkleRoll] = -1.0 *  -21.970527776755
GoalieLeftSplayInter2[core.RHipYawPitch] = 0
GoalieLeftSplayInter2[core.RHipRoll] = -15.905997690059
GoalieLeftSplayInter2[core.RHipPitch] = 1.4038634216261
GoalieLeftSplayInter2[core.RKneePitch] = 88.245702567106
GoalieLeftSplayInter2[core.RAnklePitch] = -58.797164375678
GoalieLeftSplayInter2[core.RAnkleRoll] = 5.1880161793767
GoalieLeftSplayInter2[core.RShoulderPitch] = -1.0 *  110.83387581277
GoalieLeftSplayInter2[core.RShoulderRoll] = -1.0 *  -13.801405524687
GoalieLeftSplayInter2[core.RElbowYaw] = -1.0 *  78.836474947632
GoalieLeftSplayInter2[core.RElbowRoll] = -1.0 *  28.830891014973

GoalieLeftSplayInter2[core.LShoulderPitch] = -1.0 *  -5.6274748194435
GoalieLeftSplayInter2[core.LShoulderRoll] = 10.70072959751912
GoalieLeftSplayInter2[core.LElbowYaw] = 97.293736122892
GoalieLeftSplayInter2[core.LElbowRoll] = -9.8414693109096
GoalieLeftSplayInter2[core.RShoulderPitch] = -1.0 *  1.6723470588419
GoalieLeftSplayInter2[core.RShoulderRoll] = -1.0 *  -10.70553805069481
GoalieLeftSplayInter2[core.RElbowYaw] = -1.0 *  -48.606528964208
GoalieLeftSplayInter2[core.RElbowRoll] = -1.0 *  -1.5796468776528

GoalieLeftSplayInter2[core.LShoulderPitch] = -1.0 *  45.525512591885
GoalieLeftSplayInter2[core.LShoulderRoll] = 14.1383354868027
GoalieLeftSplayInter2[core.LElbowYaw] = -2.4633726109622
GoalieLeftSplayInter2[core.LElbowRoll] = -49.480639498713
GoalieLeftSplayInter2[core.RShoulderPitch] = -1.0 *  41.311518100419
GoalieLeftSplayInter2[core.RShoulderRoll] = -1.0 *  0.1733792294389
GoalieLeftSplayInter2[core.RElbowYaw] = -1.0 *  4.7437490861342
GoalieLeftSplayInter2[core.RElbowRoll] = -1.0 *  38.85054630095


GoalieLeftSplayGetup1 = dict()
GoalieLeftSplayGetup1[core.HeadYaw] = -46.936588693275
GoalieLeftSplayGetup1[core.HeadPitch] = -1.0 *  25.398304315503
GoalieLeftSplayGetup1[core.LShoulderPitch] = -1.0 *  49.12907258666
GoalieLeftSplayGetup1[core.LShoulderRoll] = 57.21511156389
GoalieLeftSplayGetup1[core.LElbowYaw] = -52.297983248317
GoalieLeftSplayGetup1[core.LElbowRoll] = 1.232888418775
GoalieLeftSplayGetup1[core.LHipYawPitch] = -66.267956987946
GoalieLeftSplayGetup1[core.LHipRoll] = -1.0 *  19.690151301583
GoalieLeftSplayGetup1[core.LHipPitch] = -70.398869058348
GoalieLeftSplayGetup1[core.LKneePitch] = 25.310413441263
GoalieLeftSplayGetup1[core.LAnklePitch] = 58.35770317429
GoalieLeftSplayGetup1[core.LAnkleRoll] = -1.0 *  -3.8648318060005
GoalieLeftSplayGetup1[core.RHipYawPitch] = 0
GoalieLeftSplayGetup1[core.RHipRoll] = 19.778042175823
GoalieLeftSplayGetup1[core.RHipPitch] = -13.8892972527
GoalieLeftSplayGetup1[core.RKneePitch] = 122.25979874696
GoalieLeftSplayGetup1[core.RAnklePitch] = -69.607844360001
GoalieLeftSplayGetup1[core.RAnkleRoll] = -4.3042904460673
GoalieLeftSplayGetup1[core.RShoulderPitch] = -1.0 *  104.50567139581
GoalieLeftSplayGetup1[core.RShoulderRoll] = -1.0 *  -12.395137876473
GoalieLeftSplayGetup1[core.RElbowYaw] = -1.0 *  77.605989047897
GoalieLeftSplayGetup1[core.RElbowRoll] = -1.0 *  28.830891014973
 # [[
GoalieLeftSplayGetup1[core.LShoulderPitch] = -1.0 *  -5.6274748194435
GoalieLeftSplayGetup1[core.LShoulderRoll] = 5.70072959751912
GoalieLeftSplayGetup1[core.LElbowYaw] = 97.293736122892
GoalieLeftSplayGetup1[core.LElbowRoll] = -9.8414693109096
GoalieLeftSplayGetup1[core.RShoulderPitch] = -1.0 *  1.6723470588419
GoalieLeftSplayGetup1[core.RShoulderRoll] = -1.0 *  -5.70553805069481
GoalieLeftSplayGetup1[core.RElbowYaw] = -1.0 *  -48.606528964208
GoalieLeftSplayGetup1[core.RElbowRoll] = -1.0 *  -1.5796468776528
 # ]]
GoalieLeftSplayGetup2 = dict()
GoalieLeftSplayGetup2[core.HeadYaw] = -46.936588693275
GoalieLeftSplayGetup2[core.HeadPitch] = -1.0 *  25.398304315503
GoalieLeftSplayGetup2[core.LShoulderPitch] = -1.0 *  49.12907258666
GoalieLeftSplayGetup2[core.LShoulderRoll] = 57.039326400316
GoalieLeftSplayGetup2[core.LElbowYaw] = -52.297983248317
GoalieLeftSplayGetup2[core.LElbowRoll] = 1.232888418775
GoalieLeftSplayGetup2[core.LHipYawPitch] = -53.875224191835
GoalieLeftSplayGetup2[core.LHipRoll] = -1.0 *  19.074908351716
GoalieLeftSplayGetup2[core.LHipPitch] = -29.265540348091
GoalieLeftSplayGetup2[core.LKneePitch] = 14.499730041845
GoalieLeftSplayGetup2[core.LAnklePitch] = 52.468956543621
GoalieLeftSplayGetup2[core.LAnkleRoll] = -1.0 *  -9.4899023988562
GoalieLeftSplayGetup2[core.RHipYawPitch] = 0
GoalieLeftSplayGetup2[core.RHipRoll] = -9.0504437587893
GoalieLeftSplayGetup2[core.RHipPitch] = -26.194139174572
GoalieLeftSplayGetup2[core.RKneePitch] = 124.36919338909
GoalieLeftSplayGetup2[core.RAnklePitch] = -69.695735234241
GoalieLeftSplayGetup2[core.RAnkleRoll] = -6.1500167343481
GoalieLeftSplayGetup2[core.RShoulderPitch] = -1.0 *  109.60338991303
GoalieLeftSplayGetup2[core.RShoulderRoll] = -1.0 *  -14.680323658594
GoalieLeftSplayGetup2[core.RElbowYaw] = -1.0 *  77.781777626566
GoalieLeftSplayGetup2[core.RElbowRoll] = -1.0 *  28.655109266494

GoalieLeftSplayGetup3 = dict()
GoalieLeftSplayGetup3[core.HeadYaw] = -46.848694403941
GoalieLeftSplayGetup3[core.HeadPitch] = -1.0 *  25.398304315503
GoalieLeftSplayGetup3[core.LShoulderPitch] = -1.0 *  49.12907258666
GoalieLeftSplayGetup3[core.LShoulderRoll] = 57.039326400316
GoalieLeftSplayGetup3[core.LElbowYaw] = -52.297983248317
GoalieLeftSplayGetup3[core.LElbowRoll] = 1.232888418775
GoalieLeftSplayGetup3[core.LHipYawPitch] = -50.623231109113
GoalieLeftSplayGetup3[core.LHipRoll] = -1.0 *  18.547559691183
GoalieLeftSplayGetup3[core.LHipPitch] = 1.3207801467884
GoalieLeftSplayGetup3[core.LKneePitch] = 3.6890483499737
GoalieLeftSplayGetup3[core.LAnklePitch] = 31.902293896039
GoalieLeftSplayGetup3[core.LAnkleRoll] = -1.0 *  -9.6656858548829
GoalieLeftSplayGetup3[core.RHipYawPitch] = 0
GoalieLeftSplayGetup3[core.RHipRoll] = -17.400157920059
GoalieLeftSplayGetup3[core.RHipPitch] = -1.232888418775
GoalieLeftSplayGetup3[core.RKneePitch] = 75.589293733181
GoalieLeftSplayGetup3[core.RAnklePitch] = -44.646593604204
GoalieLeftSplayGetup3[core.RAnkleRoll] = -0.34916268546564
GoalieLeftSplayGetup3[core.RShoulderPitch] = -1.0 *  111.53700963688
GoalieLeftSplayGetup3[core.RShoulderRoll] = -1.0 *  -14.328756746541
GoalieLeftSplayGetup3[core.RElbowYaw] = -1.0 *  77.430207299418
GoalieLeftSplayGetup3[core.RElbowRoll] = -1.0 *  28.743000140734

GoalieLeftSplayFinalV2 = dict()
GoalieLeftSplayFinalV2[core.HeadYaw] = -8.4400101158714
GoalieLeftSplayFinalV2[core.HeadPitch] = -1.0 *  0.96440478155923
GoalieLeftSplayFinalV2[core.LShoulderPitch] = -1.0 *  46.316537290232
GoalieLeftSplayFinalV2[core.LShoulderRoll] = 9.7535775828963
GoalieLeftSplayFinalV2[core.LElbowYaw] = -5.6274748194435
GoalieLeftSplayFinalV2[core.LElbowRoll] = -52.644741707195
GoalieLeftSplayFinalV2[core.LHipYawPitch] = -58.709273501438
GoalieLeftSplayFinalV2[core.LHipRoll] = -1.0 *  23.293711296357
GoalieLeftSplayFinalV2[core.LHipPitch] = -48.777505674606
GoalieLeftSplayFinalV2[core.LKneePitch] = -5.1880161793767
GoalieLeftSplayFinalV2[core.LAnklePitch] = 60.467104646611
GoalieLeftSplayFinalV2[core.LAnkleRoll] = -1.0 *  -2.9859145258667
GoalieLeftSplayFinalV2[core.RHipYawPitch] = 0
GoalieLeftSplayFinalV2[core.RHipRoll] = 12.5709213325
GoalieLeftSplayFinalV2[core.RHipPitch] = -13.010379972567
GoalieLeftSplayFinalV2[core.RKneePitch] = 124.10552076637
GoalieLeftSplayFinalV2[core.RAnklePitch] = -69.607844360001
GoalieLeftSplayFinalV2[core.RAnkleRoll] = -6.7652588304417
GoalieLeftSplayFinalV2[core.RShoulderPitch] = -1.0 *  101.69313609938
GoalieLeftSplayFinalV2[core.RShoulderRoll] = -1.0 *  -13.449838612634
GoalieLeftSplayFinalV2[core.RElbowYaw] = -1.0 *  77.518098173657
GoalieLeftSplayFinalV2[core.RElbowRoll] = -1.0 *  28.743000140734

GoalieLeftSplayFinalV2[core.LShoulderPitch] = -1.0 *  -5.6274748194435
GoalieLeftSplayFinalV2[core.LShoulderRoll] = 5.70072959751912
GoalieLeftSplayFinalV2[core.LElbowYaw] = 97.293736122892
GoalieLeftSplayFinalV2[core.LElbowRoll] = -9.8414693109096
GoalieLeftSplayFinalV2[core.RShoulderPitch] = -1.0 *  1.6723470588419
GoalieLeftSplayFinalV2[core.RShoulderRoll] = -1.0 *  -5.70553805069481
GoalieLeftSplayFinalV2[core.RElbowYaw] = -1.0 *  -48.606528964208
GoalieLeftSplayFinalV2[core.RElbowRoll] = -1.0 *  -1.5796468776528

GoalieLeftSplayFinalV2[core.LShoulderPitch] = -1.0 *  45.525512591885
GoalieLeftSplayFinalV2[core.LShoulderRoll] = 9.1383354868027
GoalieLeftSplayFinalV2[core.LElbowYaw] = -2.4633726109622
GoalieLeftSplayFinalV2[core.LElbowRoll] = -49.480639498713
GoalieLeftSplayFinalV2[core.RShoulderPitch] = -1.0 *  41.311518100419
GoalieLeftSplayFinalV2[core.RShoulderRoll] = -1.0 *  0.1733792294389
GoalieLeftSplayFinalV2[core.RElbowYaw] = -1.0 *  4.7437490861342
GoalieLeftSplayFinalV2[core.RElbowRoll] = -1.0 *  38.85054630095

GoalieLeftSplayFinalV3 = dict()
GoalieLeftSplayFinalV3[core.HeadYaw] = -5.2759079073901
GoalieLeftSplayFinalV3[core.HeadPitch] = -1.0 *  -26.897272998679
GoalieLeftSplayFinalV3[core.LShoulderPitch] = -1.0 *  49.304854335139
GoalieLeftSplayFinalV3[core.LShoulderRoll] = 11.15984523111
GoalieLeftSplayFinalV3[core.LElbowYaw] = -1.8481305148686
GoalieLeftSplayFinalV3[core.LElbowRoll] = -48.162262724739
GoalieLeftSplayFinalV3[core.LHipYawPitch] = -64.773798465492
GoalieLeftSplayFinalV3[core.LHipRoll] = -1.0 *  21.53587673609
GoalieLeftSplayFinalV3[core.LHipPitch] = -49.656421247193
GoalieLeftSplayFinalV3[core.LKneePitch] = -5.979041731497
GoalieLeftSplayFinalV3[core.LAnklePitch] = 64.334344094294
GoalieLeftSplayFinalV3[core.LAnkleRoll] = -1.0 *  -4.0406152620272
GoalieLeftSplayFinalV3[core.RHipYawPitch] = 0
GoalieLeftSplayFinalV3[core.RHipRoll] = 18.723341439662
GoalieLeftSplayFinalV3[core.RHipPitch] = -14.15297243674
GoalieLeftSplayFinalV3[core.RKneePitch] = 124.63287967219
GoalieLeftSplayFinalV3[core.RAnklePitch] = -69.519953485762
GoalieLeftSplayFinalV3[core.RAnkleRoll] = -6.9410422864684
GoalieLeftSplayFinalV3[core.RShoulderPitch] = -1.0 *  43.860377359033
GoalieLeftSplayFinalV3[core.RShoulderRoll] = -1.0 *  -1.0571049627483
GoalieLeftSplayFinalV3[core.RElbowYaw] = -1.0 *  5.0074242701743
GoalieLeftSplayFinalV3[core.RElbowRoll] = -1.0 *  37.70795469055

GoalieLeftSplayGetup3V2 = dict()
GoalieLeftSplayGetup3V2[core.HeadYaw] = 118.12407822338
GoalieLeftSplayGetup3V2[core.HeadPitch] = -1.0 *  -29.094567052787
GoalieLeftSplayGetup3V2[core.LShoulderPitch] = -1.0 *  73.299295229016
GoalieLeftSplayGetup3V2[core.LShoulderRoll] = 23.992036667289
GoalieLeftSplayGetup3V2[core.LElbowYaw] = -53.089007946664
GoalieLeftSplayGetup3V2[core.LElbowRoll] = -1.7554303336796
GoalieLeftSplayGetup3V2[core.LHipYawPitch] = -50.711121983353
GoalieLeftSplayGetup3V2[core.LHipRoll] = -1.0 *  12.83459651654
GoalieLeftSplayGetup3V2[core.LHipPitch] = 21.97533622993
GoalieLeftSplayGetup3V2[core.LKneePitch] = 4.5679656301074
GoalieLeftSplayGetup3V2[core.LAnklePitch] = 13.269246703431
GoalieLeftSplayGetup3V2[core.LAnkleRoll] = -1.0 *  -10.984061775083
GoalieLeftSplayGetup3V2[core.RHipYawPitch] = 0
GoalieLeftSplayGetup3V2[core.RHipRoll] = -17.751724832113
GoalieLeftSplayGetup3V2[core.RHipPitch] = -0.26607941062796
GoalieLeftSplayGetup3V2[core.RKneePitch] = 62.669205446347
GoalieLeftSplayGetup3V2[core.RAnklePitch] = -37.878931400948
GoalieLeftSplayGetup3V2[core.RAnkleRoll] = -3.4253731659336
GoalieLeftSplayGetup3V2[core.RShoulderPitch] = -1.0 *  110.92176668701
GoalieLeftSplayGetup3V2[core.RShoulderRoll] = -1.0 *  -13.713513796674
GoalieLeftSplayGetup3V2[core.RElbowYaw] = -1.0 *  78.221231997764
GoalieLeftSplayGetup3V2[core.RElbowRoll] = -1.0 *  28.918781889213

GoalieLeftSplayGetup4 = dict()
GoalieLeftSplayGetup4[core.HeadYaw] = 118.73931434306
GoalieLeftSplayGetup4[core.HeadPitch] = -1.0 *  -29.270348801267
GoalieLeftSplayGetup4[core.LShoulderPitch] = -1.0 *  74.70556287723
GoalieLeftSplayGetup4[core.LShoulderRoll] = 22.322094688808
GoalieLeftSplayGetup4[core.LElbowYaw] = -53.704250896531
GoalieLeftSplayGetup4[core.LElbowRoll] = -2.81013106984
GoalieLeftSplayGetup4[core.LHipYawPitch] = -54.578358015941
GoalieLeftSplayGetup4[core.LHipRoll] = -1.0 *  -1.7554303336796
GoalieLeftSplayGetup4[core.LHipPitch] = 23.469496459931
GoalieLeftSplayGetup4[core.LKneePitch] = 6.5894753744149
GoalieLeftSplayGetup4[core.LAnklePitch] = 15.554430778005
GoalieLeftSplayGetup4[core.LAnkleRoll] = -1.0 *  7.0337424676575
GoalieLeftSplayGetup4[core.RHipYawPitch] = 0
GoalieLeftSplayGetup4[core.RHipRoll] = -16.78491667774
GoalieLeftSplayGetup4[core.RHipPitch] = 11.862979055217
GoalieLeftSplayGetup4[core.RKneePitch] = 57.132025727731
GoalieLeftSplayGetup4[core.RAnklePitch] = -38.757846973535
GoalieLeftSplayGetup4[core.RAnkleRoll] = -9.8414693109096
GoalieLeftSplayGetup4[core.RShoulderPitch] = -1.0 *  110.6580872341
GoalieLeftSplayGetup4[core.RShoulderRoll] = -1.0 *  -13.449838612634
GoalieLeftSplayGetup4[core.RElbowYaw] = -1.0 *  78.836474947632
GoalieLeftSplayGetup4[core.RElbowRoll] = -1.0 *  28.47932410292

GoalieLeftSplayFinalV4 = dict()
GoalieLeftSplayFinalV4[core.HeadYaw] = -0.26607941062796
GoalieLeftSplayFinalV4[core.HeadPitch] = -1.0 *  27.771381825637
GoalieLeftSplayFinalV4[core.LShoulderPitch] = -1.0 *  57.21511156389
GoalieLeftSplayFinalV4[core.LShoulderRoll] = 11.42352041515
GoalieLeftSplayFinalV4[core.LElbowYaw] = -1.4086718748018
GoalieLeftSplayFinalV4[core.LElbowRoll] = -48.425938762553
GoalieLeftSplayFinalV4[core.LHipYawPitch] = -60.115541149652
GoalieLeftSplayFinalV4[core.LHipRoll] = -1.0 *  24.260521158278
GoalieLeftSplayFinalV4[core.LHipPitch] = -48.689611385272
GoalieLeftSplayFinalV4[core.LKneePitch] = -4.3969906272564
GoalieLeftSplayFinalV4[core.LAnklePitch] = 62.488615244692
GoalieLeftSplayFinalV4[core.LAnkleRoll] = -1.0 *  -3.6890483499737
GoalieLeftSplayFinalV4[core.RHipYawPitch] = 0
GoalieLeftSplayFinalV4[core.RHipRoll] = 12.658813060513
GoalieLeftSplayFinalV4[core.RHipPitch] = -13.713513796674
GoalieLeftSplayFinalV4[core.RKneePitch] = 124.45708426333
GoalieLeftSplayFinalV4[core.RAnklePitch] = -66.267956987946
GoalieLeftSplayFinalV4[core.RAnkleRoll] = -7.6441761105754
GoalieLeftSplayFinalV4[core.RShoulderPitch] = -1.0 *  45.618211919301
GoalieLeftSplayFinalV4[core.RShoulderRoll] = -1.0 *  -1.4086718748018
GoalieLeftSplayFinalV4[core.RElbowYaw] = -1.0 *  5.0074242701743
GoalieLeftSplayFinalV4[core.RElbowRoll] = -1.0 *  36.741144828629

GoalieLeftSplayGetup4V2 = dict()
GoalieLeftSplayGetup4V2[core.HeadYaw] = -119.27148170205
GoalieLeftSplayGetup4V2[core.HeadPitch] = -1.0 *  -16.174482181048
GoalieLeftSplayGetup4V2[core.LShoulderPitch] = -1.0 *  75.145024078617
GoalieLeftSplayGetup4V2[core.LShoulderRoll] = 22.146311232781
GoalieLeftSplayGetup4V2[core.LElbowYaw] = -53.704250896531
GoalieLeftSplayGetup4V2[core.LElbowRoll] = -2.8980227978534
GoalieLeftSplayGetup4V2[core.LHipYawPitch] = -52.732632581434
GoalieLeftSplayGetup4V2[core.LHipRoll] = -1.0 *  0.61764632268144
GoalieLeftSplayGetup4V2[core.LHipPitch] = 23.117929547878
GoalieLeftSplayGetup4V2[core.LKneePitch] = 6.6773671024283
GoalieLeftSplayGetup4V2[core.LAnklePitch] = 8.9625520307759
GoalieLeftSplayGetup4V2[core.LAnkleRoll] = -1.0 *  2.9028312510291
GoalieLeftSplayGetup4V2[core.RHipYawPitch] = 0
GoalieLeftSplayGetup4V2[core.RHipRoll] = -18.279075200193
GoalieLeftSplayGetup4V2[core.RHipPitch] = 11.511412143164
GoalieLeftSplayGetup4V2[core.RKneePitch] = 47.991286014341
GoalieLeftSplayGetup4V2[core.RAnklePitch] = -31.902293896039
GoalieLeftSplayGetup4V2[core.RAnkleRoll] = -2.0191055177197
GoalieLeftSplayGetup4V2[core.RShoulderPitch] = -1.0 *  109.86706253575
GoalieLeftSplayGetup4V2[core.RShoulderRoll] = -1.0 *  -13.62562206866
GoalieLeftSplayGetup4V2[core.RElbowYaw] = -1.0 *  78.924365821871
GoalieLeftSplayGetup4V2[core.RElbowRoll] = -1.0 *  28.918781889213

GoalieLeftSplayGetup3V3 = dict()
GoalieLeftSplayGetup3V3[core.HeadYaw] = -119.27148170205
GoalieLeftSplayGetup3V3[core.HeadPitch] = -1.0 *  -16.174482181048
GoalieLeftSplayGetup3V3[core.LShoulderPitch] = -1.0 *  75.057133204378
GoalieLeftSplayGetup3V3[core.LShoulderRoll] = 22.146311232781
GoalieLeftSplayGetup3V3[core.LElbowYaw] = -53.704250896531
GoalieLeftSplayGetup3V3[core.LElbowRoll] = -2.8980227978534
GoalieLeftSplayGetup3V3[core.LHipYawPitch] = -52.117389631567
GoalieLeftSplayGetup3V3[core.LHipRoll] = -1.0 *  9.5826025800452
GoalieLeftSplayGetup3V3[core.LHipPitch] = 22.151119685957
GoalieLeftSplayGetup3V3[core.LKneePitch] = 4.9195325421609
GoalieLeftSplayGetup3V3[core.LAnklePitch] = 9.4899023988562
GoalieLeftSplayGetup3V3[core.LAnkleRoll] = -1.0 *  -3.3374814379202
GoalieLeftSplayGetup3V3[core.RHipYawPitch] = 0
GoalieLeftSplayGetup3V3[core.RHipRoll] = -17.663832250326
GoalieLeftSplayGetup3V3[core.RHipPitch] = 5.0953159981876
GoalieLeftSplayGetup3V3[core.RKneePitch] = 44.73929293162
GoalieLeftSplayGetup3V3[core.RAnklePitch] = -21.794744320728
GoalieLeftSplayGetup3V3[core.RAnkleRoll] = -2.7222393418266
GoalieLeftSplayGetup3V3[core.RShoulderPitch] = -1.0 *  109.95495340999
GoalieLeftSplayGetup3V3[core.RShoulderRoll] = -1.0 *  -13.62562206866
GoalieLeftSplayGetup3V3[core.RElbowYaw] = -1.0 *  78.924365821871
GoalieLeftSplayGetup3V3[core.RElbowRoll] = -1.0 *  28.918781889213

GoalieLeftSplayGetup3V4 = dict()
GoalieLeftSplayGetup3V4[core.HeadYaw] = -119.97460869597
GoalieLeftSplayGetup3V4[core.HeadPitch] = -1.0 *  -16.174482181048
GoalieLeftSplayGetup3V4[core.LShoulderPitch] = -1.0 *  76.463400852592
GoalieLeftSplayGetup3V4[core.LShoulderRoll] = 18.9822090243
GoalieLeftSplayGetup3V4[core.LElbowYaw] = -54.055817808584
GoalieLeftSplayGetup3V4[core.LElbowRoll] = -3.8648318060005
GoalieLeftSplayGetup3V4[core.LHipYawPitch] = -51.32636493322
GoalieLeftSplayGetup3V4[core.LHipRoll] = -1.0 *  7.9126597477912
GoalieLeftSplayGetup3V4[core.LHipPitch] = 23.381603878144
GoalieLeftSplayGetup3V4[core.LKneePitch] = 6.6773671024283
GoalieLeftSplayGetup3V4[core.LAnklePitch] = 4.3921821740807
GoalieLeftSplayGetup3V4[core.LAnkleRoll] = -1.0 *  -4.6558573581208
GoalieLeftSplayGetup3V4[core.RHipYawPitch] = 0
GoalieLeftSplayGetup3V4[core.RHipRoll] = -17.663832250326
GoalieLeftSplayGetup3V4[core.RHipPitch] = 7.9078512946155
GoalieLeftSplayGetup3V4[core.RKneePitch] = 43.860377359033
GoalieLeftSplayGetup3V4[core.RAnklePitch] = -27.06824800153
GoalieLeftSplayGetup3V4[core.RAnkleRoll] = 0.0024042265878445
GoalieLeftSplayGetup3V4[core.RShoulderPitch] = -1.0 *  109.51549903879
GoalieLeftSplayGetup3V4[core.RShoulderRoll] = -1.0 *  -13.537730340647
GoalieLeftSplayGetup3V4[core.RElbowYaw] = -1.0 *  79.539608771739
GoalieLeftSplayGetup3V4[core.RElbowRoll] = -1.0 *  28.918781889213

GoalieLeftSplayGetup3V5 = dict()
GoalieLeftSplayGetup3V5[core.HeadYaw] = 118.8272052173
GoalieLeftSplayGetup3V5[core.HeadPitch] = -1.0 *  -28.918781889213
GoalieLeftSplayGetup3V5[core.LShoulderPitch] = -1.0 *  77.693879922137
GoalieLeftSplayGetup3V5[core.LShoulderRoll] = 17.575941376086
GoalieLeftSplayGetup3V5[core.LElbowYaw] = -54.495275594877
GoalieLeftSplayGetup3V5[core.LElbowRoll] = -4.8316408141475
GoalieLeftSplayGetup3V5[core.LHipYawPitch] = -52.381065669381
GoalieLeftSplayGetup3V5[core.LHipRoll] = -1.0 *  6.5942838275906
GoalieLeftSplayGetup3V5[core.LHipPitch] = 11.252545412299
GoalieLeftSplayGetup3V5[core.LKneePitch] = 46.492319038711
GoalieLeftSplayGetup3V5[core.LAnklePitch] = -22.063228811717
GoalieLeftSplayGetup3V5[core.LAnkleRoll] = -1.0 *  0.35397113864133
GoalieLeftSplayGetup3V5[core.RHipYawPitch] = 0
GoalieLeftSplayGetup3V5[core.RHipRoll] = -22.146311232781
GoalieLeftSplayGetup3V5[core.RHipPitch] = 3.7769400779871
GoalieLeftSplayGetup3V5[core.RKneePitch] = 56.692567941438
GoalieLeftSplayGetup3V5[core.RAnklePitch] = -31.814399606705
GoalieLeftSplayGetup3V5[core.RAnkleRoll] = 5.2759079073901
GoalieLeftSplayGetup3V5[core.RShoulderPitch] = -1.0 *  108.98814696317
GoalieLeftSplayGetup3V5[core.RShoulderRoll] = -1.0 *  -15.647131812968
GoalieLeftSplayGetup3V5[core.RElbowYaw] = -1.0 *  80.154851721606
GoalieLeftSplayGetup3V5[core.RElbowRoll] = -1.0 *  28.830891014973

GoalieLeftSplayGetup4V3 = dict()
GoalieLeftSplayGetup4V3[core.HeadYaw] = -11.779895780379
GoalieLeftSplayGetup4V3[core.HeadPitch] = -1.0 *  -8.4400101158714
GoalieLeftSplayGetup4V3[core.LShoulderPitch] = -1.0 *  79.275936149019
GoalieLeftSplayGetup4V3[core.LShoulderRoll] = 16.081782853633
GoalieLeftSplayGetup4V3[core.LElbowYaw] = -55.110518544745
GoalieLeftSplayGetup4V3[core.LElbowRoll] = -5.9742332783213
GoalieLeftSplayGetup4V3[core.LHipYawPitch] = -56.07251995349
GoalieLeftSplayGetup4V3[core.LHipRoll] = -1.0 *  -0.52494614149238
GoalieLeftSplayGetup4V3[core.LHipPitch] = -0.61283786950575
GoalieLeftSplayGetup4V3[core.LKneePitch] = 61.346020219197
GoalieLeftSplayGetup4V3[core.LAnklePitch] = -23.381603878144
GoalieLeftSplayGetup4V3[core.LAnkleRoll] = -1.0 *  7.385309379711
GoalieLeftSplayGetup4V3[core.RHipYawPitch] = 0
GoalieLeftSplayGetup4V3[core.RHipRoll] = -23.376795424969
GoalieLeftSplayGetup4V3[core.RHipPitch] = 7.2926091985219
GoalieLeftSplayGetup4V3[core.RKneePitch] = 69.348980190458
GoalieLeftSplayGetup4V3[core.RAnklePitch] = -46.404428164472
GoalieLeftSplayGetup4V3[core.RAnkleRoll] = 4.8364492673232
GoalieLeftSplayGetup4V3[core.RShoulderPitch] = -1.0 *  108.46079488754
GoalieLeftSplayGetup4V3[core.RShoulderRoll] = -1.0 *  -15.471348356941
GoalieLeftSplayGetup4V3[core.RElbowYaw] = -1.0 *  80.418524344325
GoalieLeftSplayGetup4V3[core.RElbowRoll] = -1.0 *  29.006672763453


GoalieLeftSplayGetup5 = dict()
GoalieLeftSplayGetup5[core.HeadYaw] = -39.817356162871
GoalieLeftSplayGetup5[core.HeadPitch] = -1.0 *  -33.577046035243
GoalieLeftSplayGetup5[core.LShoulderPitch] = -1.0 *  104.58875381687
GoalieLeftSplayGetup5[core.LShoulderRoll] = 12.478221151311
GoalieLeftSplayGetup5[core.LElbowYaw] = -80.423332797501
GoalieLeftSplayGetup5[core.LElbowRoll] = -29.001864310277
GoalieLeftSplayGetup5[core.LHipYawPitch] = -0.70072959751912
GoalieLeftSplayGetup5[core.LHipRoll] = -1.0 *  0.26607941062796
GoalieLeftSplayGetup5[core.LHipPitch] = -29.704998134384
GoalieLeftSplayGetup5[core.LKneePitch] = 55.017815802235
GoalieLeftSplayGetup5[core.LAnklePitch] = -29.973482625373
GoalieLeftSplayGetup5[core.LAnkleRoll] = -1.0 *  0.0024042265878445
GoalieLeftSplayGetup5[core.RHipYawPitch] = 0
GoalieLeftSplayGetup5[core.RHipRoll] = 0.090295954601215
GoalieLeftSplayGetup5[core.RHipPitch] = -29.973482625373
GoalieLeftSplayGetup5[core.RKneePitch] = 55.02262425541
GoalieLeftSplayGetup5[core.RAnklePitch] = -29.792892423718
GoalieLeftSplayGetup5[core.RAnkleRoll] = -0.26127095745227
GoalieLeftSplayGetup5[core.RShoulderPitch] = -1.0 *  104.2419919429
GoalieLeftSplayGetup5[core.RShoulderRoll] = -1.0 *  -12.395137876473
GoalieLeftSplayGetup5[core.RElbowYaw] = -1.0 *  80.066960847366
GoalieLeftSplayGetup5[core.RElbowRoll] = -1.0 *  30.764510738815

GoalieLeftSplayGetup3V6 = dict()
GoalieLeftSplayGetup3V6[core.HeadYaw] = -0.0024042265878445
GoalieLeftSplayGetup3V6[core.HeadPitch] = -1.0 *  0.34916268546564
GoalieLeftSplayGetup3V6[core.LShoulderPitch] = -1.0 *  79.363827023259
GoalieLeftSplayGetup3V6[core.LShoulderRoll] = 16.169673727872
GoalieLeftSplayGetup3V6[core.LElbowYaw] = -54.758951632691
GoalieLeftSplayGetup3V6[core.LElbowRoll] = -5.886341550308
GoalieLeftSplayGetup3V6[core.LHipYawPitch] = -49.12907258666
GoalieLeftSplayGetup3V6[core.LHipRoll] = -1.0 *  7.0337424676575
GoalieLeftSplayGetup3V6[core.LHipPitch] = 8.0884432038179
GoalieLeftSplayGetup3V6[core.LKneePitch] = 59.588189074025
GoalieLeftSplayGetup3V6[core.LAnklePitch] = -31.731317185641
GoalieLeftSplayGetup3V6[core.LAnkleRoll] = -1.0 *  1.232888418775
GoalieLeftSplayGetup3V6[core.RHipYawPitch] = 0
GoalieLeftSplayGetup3V6[core.RHipRoll] = -32.9569946322
GoalieLeftSplayGetup3V6[core.RHipPitch] = -0.26607941062796
GoalieLeftSplayGetup3V6[core.RKneePitch] = 63.636011893173
GoalieLeftSplayGetup3V6[core.RAnklePitch] = -31.638617858225
GoalieLeftSplayGetup3V6[core.RAnkleRoll] = 14.240864164754
GoalieLeftSplayGetup3V6[core.RShoulderPitch] = -1.0 *  109.95495340999
GoalieLeftSplayGetup3V6[core.RShoulderRoll] = -1.0 *  -14.856105407074
GoalieLeftSplayGetup3V6[core.RElbowYaw] = -1.0 *  80.506415218565
GoalieLeftSplayGetup3V6[core.RElbowRoll] = -1.0 *  28.303540646893

GoalieLeftSplayFinalV5 = dict()
GoalieLeftSplayFinalV5[core.HeadYaw] = 20.564260128541
GoalieLeftSplayFinalV5[core.HeadPitch] = -1.0 *  12.390329423297
GoalieLeftSplayFinalV5[core.LShoulderPitch] = -1.0 *  54.490467141702
GoalieLeftSplayFinalV5[core.LShoulderRoll] = 12.566112879324
GoalieLeftSplayFinalV5[core.LElbowYaw] = -1.936022242882
GoalieLeftSplayFinalV5[core.LElbowRoll] = -47.283343737058
GoalieLeftSplayFinalV5[core.LHipYawPitch] = -59.851861696744
GoalieLeftSplayFinalV5[core.LHipRoll] = -1.0 *  24.348412032518
GoalieLeftSplayFinalV5[core.LHipPitch] = -53.523657279781
GoalieLeftSplayFinalV5[core.LKneePitch] = -4.4848823552697
GoalieLeftSplayFinalV5[core.LAnklePitch] = 57.654569350183
GoalieLeftSplayFinalV5[core.LAnkleRoll] = -1.0 *  -2.2827807017598
GoalieLeftSplayFinalV5[core.RHipYawPitch] = 0
GoalieLeftSplayFinalV5[core.RHipRoll] = 12.83459651654
GoalieLeftSplayFinalV5[core.RHipPitch] = -11.252545412299
GoalieLeftSplayFinalV5[core.RKneePitch] = 122.87503486664
GoalieLeftSplayFinalV5[core.RAnklePitch] = -68.728928787415
GoalieLeftSplayFinalV5[core.RAnkleRoll] = -4.9195325421609
GoalieLeftSplayFinalV5[core.RShoulderPitch] = -1.0 *  47.815504265861
GoalieLeftSplayFinalV5[core.RShoulderRoll] = -1.0 *  -3.4301816191093
GoalieLeftSplayFinalV5[core.RElbowYaw] = -1.0 *  5.0074242701743
GoalieLeftSplayFinalV5[core.RElbowRoll] = -1.0 *  35.686447507563


sittingPoseV3 = dict()

sittingPoseV3[core.HeadYaw] = 0.0
sittingPoseV3[core.HeadPitch] = 0
sittingPoseV3[core.LShoulderPitch] = -90
sittingPoseV3[core.LShoulderRoll] = 0
sittingPoseV3[core.LElbowYaw] = 0
sittingPoseV3[core.LElbowRoll] = 0
sittingPoseV3[core.LHipYawPitch] = -5
sittingPoseV3[core.LHipPitch] = -46.5
sittingPoseV3[core.LHipRoll] = -1.0 * 0
sittingPoseV3[core.LKneePitch] = 125
sittingPoseV3[core.LAnklePitch] = -70
sittingPoseV3[core.LAnkleRoll] = -1.0 * 0
sittingPoseV3[core.RHipYawPitch] = -5
sittingPoseV3[core.RHipPitch] = -46.5
sittingPoseV3[core.RHipRoll] = 0
sittingPoseV3[core.RKneePitch] = 125
sittingPoseV3[core.RAnklePitch] = -70
sittingPoseV3[core.RAnkleRoll] = 0
sittingPoseV3[core.RShoulderPitch] = -90
sittingPoseV3[core.RShoulderRoll] = 0
sittingPoseV3[core.RElbowYaw] = 0
sittingPoseV3[core.RElbowRoll] = 0


def setRobotSpecificSittingPose():
  id = core.CONFIG_ID
  if id == 27:
    sittingPoseV3[core.LHipPitch] = -43.0
    sittingPoseV3[core.RHipPitch] = -43.0
  elif id == 29: 
    sittingPoseV3[core.LHipPitch] = -43.5
    sittingPoseV3[core.RHipPitch] = -43.5
  elif id == 32: 
    sittingPoseV3[core.LHipPitch] = -43.5
    sittingPoseV3[core.RHipPitch] = -43.5
  elif id == 33:
    sittingPoseV3[core.LHipPitch] = -43.5
    sittingPoseV3[core.RHipPitch] = -43.5
  elif id == 41 or id == 40:
    sittingPoseV3[core.LHipPitch] = -40
    sittingPoseV3[core.RHipPitch] = -40
  else:
    UTdebug.log(0,'*** No Robot specific sitting pose')
  UTdebug.log(0,'Done setting robot specific sitting pos')

setRobotSpecificSittingPose()

sittingPoseNoArms = dict()

sittingPoseNoArms[core.HeadYaw] = 0.0
sittingPoseNoArms[core.HeadPitch] = -1.0 * 10.0
sittingPoseNoArms[core.LHipYawPitch] = -5
sittingPoseNoArms[core.LHipPitch] = -46.5
sittingPoseNoArms[core.LHipRoll] = -1.0 * 0
sittingPoseNoArms[core.LKneePitch] = 125  #  lkneepitch 120  # 110  # 120
sittingPoseNoArms[core.LAnklePitch] = -70
sittingPoseNoArms[core.LAnkleRoll] = -1.0 * 0
sittingPoseNoArms[core.RHipYawPitch] = -5
sittingPoseNoArms[core.RHipPitch] = -46.5
sittingPoseNoArms[core.RHipRoll] = 0
sittingPoseNoArms[core.RKneePitch] = 125  #  rkneepitch 120  # 110  # 120
sittingPoseNoArms[core.RAnklePitch] = -70
sittingPoseNoArms[core.RAnkleRoll] = 0


standingPose = dict()

standingPose[core.HeadYaw] = 0
standingPose[core.HeadPitch] = 0
standingPose[core.LShoulderPitch] = -116
standingPose[core.LShoulderRoll] = 12
standingPose[core.LElbowYaw] = -85
standingPose[core.LElbowRoll] = -0
standingPose[core.LHipYawPitch] = 0
standingPose[core.LHipPitch] = -30
standingPose[core.LHipRoll] = 0
standingPose[core.LKneePitch] = 65
standingPose[core.LAnklePitch] = -35
standingPose[core.LAnkleRoll] = 0
standingPose[core.RHipYawPitch] = 0
standingPose[core.RHipPitch] = -30
standingPose[core.RHipRoll] = 0
standingPose[core.RKneePitch] = 65
standingPose[core.RAnklePitch] = -35
standingPose[core.RAnkleRoll] = 0
standingPose[core.RShoulderPitch] = -116
standingPose[core.RShoulderRoll] = 12
standingPose[core.RElbowYaw] = -85
standingPose[core.RElbowRoll] = -0

armBehindPose = dict()
armBehindPose[core.LShoulderPitch] = -116
armBehindPose[core.LShoulderRoll] = -2
armBehindPose[core.LElbowYaw] = 25
armBehindPose[core.LElbowRoll] = -53
armBehindPose[core.RShoulderPitch] = -116
armBehindPose[core.RShoulderRoll] = -2
armBehindPose[core.RElbowYaw] = 25
armBehindPose[core.RElbowRoll] = -53

armBehindKeeperPose = dict()
armBehindKeeperPose[core.LShoulderPitch] = -116
armBehindKeeperPose[core.LShoulderRoll] = -2
armBehindKeeperPose[core.LElbowYaw] = 0  # 25
armBehindKeeperPose[core.LElbowRoll] = 0  # -53
armBehindKeeperPose[core.RShoulderPitch] = -116
armBehindKeeperPose[core.RShoulderRoll] = -2
armBehindKeeperPose[core.RElbowYaw] = 0  # 25
armBehindKeeperPose[core.RElbowRoll] = 0  # -53


armSidePose = dict()
armSidePose[core.LShoulderPitch] = -116
armSidePose[core.LShoulderRoll] = 12
armSidePose[core.LElbowYaw] = -85
armSidePose[core.LElbowRoll] = -0
armSidePose[core.RShoulderPitch] = -116
armSidePose[core.RShoulderRoll] = 12
armSidePose[core.RElbowYaw] = -85
armSidePose[core.RElbowRoll] = -0


standingLeftArmPose = dict()

standingLeftArmPose[core.HeadYaw] = 0
standingLeftArmPose[core.HeadPitch] = 0
standingLeftArmPose[core.LShoulderPitch] = 0
standingLeftArmPose[core.LShoulderRoll] = 12
standingLeftArmPose[core.LElbowYaw] = -85
standingLeftArmPose[core.LElbowRoll] = -0
standingLeftArmPose[core.LHipYawPitch] = 0
standingLeftArmPose[core.LHipPitch] = -30
standingLeftArmPose[core.LHipRoll] = 0
standingLeftArmPose[core.LKneePitch] = 65
standingLeftArmPose[core.LAnklePitch] = -35
standingLeftArmPose[core.LAnkleRoll] = 0
standingLeftArmPose[core.RHipYawPitch] = 0
standingLeftArmPose[core.RHipPitch] = -30
standingLeftArmPose[core.RHipRoll] = 0
standingLeftArmPose[core.RKneePitch] = 65
standingLeftArmPose[core.RAnklePitch] = -35
standingLeftArmPose[core.RAnkleRoll] = 0
standingLeftArmPose[core.RShoulderPitch] = -116
standingLeftArmPose[core.RShoulderRoll] = 12
standingLeftArmPose[core.RElbowYaw] = -85
standingLeftArmPose[core.RElbowRoll] = -0

kickAimPose = dict()
kickAimPose[core.HeadYaw] = 0
kickAimPose[core.HeadPitch] = -21  # -40
kickAimPose[core.LHipYawPitch] = 0
kickAimPose[core.LHipRoll] = 0.138459
kickAimPose[core.LHipPitch] = -31.0258
kickAimPose[core.LKneePitch] = 65.0268
kickAimPose[core.LAnklePitch] = -34.001
kickAimPose[core.LAnkleRoll] = -0.13846
kickAimPose[core.RHipYawPitch] = 0
kickAimPose[core.RHipRoll] = -0.138457
kickAimPose[core.RHipPitch] = -31.0258
kickAimPose[core.RKneePitch] = 65.0268
kickAimPose[core.RAnklePitch] = -34.001
kickAimPose[core.RAnkleRoll] = 0.138457
kickAimPose[core.LShoulderPitch] = -104
kickAimPose[core.LShoulderRoll] = 12
kickAimPose[core.LElbowYaw] = -85
kickAimPose[core.LElbowRoll] = -30
kickAimPose[core.RShoulderPitch] = -104
kickAimPose[core.RShoulderRoll] = 12
kickAimPose[core.RElbowYaw] = -85
kickAimPose[core.RElbowRoll] = -30

 #  Bowdoin's goalie squat
goalieSquatPart1 = dict()
goalieSquatPart1[core.HeadYaw] = 0
goalieSquatPart1[core.HeadPitch] = -21 # -40
goalieSquatPart1[core.LHipYawPitch] = -76.0
goalieSquatPart1[core.LHipRoll] = -14.0
goalieSquatPart1[core.LHipPitch] = -54  #  -54.0
goalieSquatPart1[core.LKneePitch] = 86.0
goalieSquatPart1[core.LAnklePitch] = 0.0
goalieSquatPart1[core.LAnkleRoll] = 11
goalieSquatPart1[core.RHipYawPitch] = -76.0
goalieSquatPart1[core.RHipRoll] = -14.0
goalieSquatPart1[core.RHipPitch] = -54  #  -54
goalieSquatPart1[core.RKneePitch] = 86.0
goalieSquatPart1[core.RAnklePitch] = 0
goalieSquatPart1[core.RAnkleRoll] = 11
goalieSquatPart1[core.LShoulderPitch] = 0  # -105 # 0
goalieSquatPart1[core.LShoulderRoll] = 90  # -20 # 90
goalieSquatPart1[core.LElbowYaw] = 0
goalieSquatPart1[core.LElbowRoll] = 0  # 
goalieSquatPart1[core.RShoulderPitch] = 0
goalieSquatPart1[core.RShoulderRoll] = 90
goalieSquatPart1[core.RElbowYaw] = 0
goalieSquatPart1[core.RElbowRoll] = 0  # 
 # 0.3, 1, stiff.NORMAL_STIFFNESSES),

goalieSquatPart2 = dict()
goalieSquatPart2[core.HeadYaw] = 0
goalieSquatPart2[core.HeadPitch] = -21
goalieSquatPart2[core.LHipYawPitch] = -90
goalieSquatPart2[core.LHipRoll] = -38
goalieSquatPart2[core.LHipPitch] = -75
goalieSquatPart2[core.LKneePitch] = 90
goalieSquatPart2[core.LAnklePitch] = 30
goalieSquatPart2[core.LAnkleRoll] = 20
goalieSquatPart2[core.RHipYawPitch] = -90
goalieSquatPart2[core.RHipRoll] = -38
goalieSquatPart2[core.RHipPitch] = -75
goalieSquatPart2[core.RKneePitch] = 90
goalieSquatPart2[core.RAnklePitch] = 30
goalieSquatPart2[core.RAnkleRoll] = 20
goalieSquatPart2[core.LShoulderPitch] = -125  # -105  # -20
goalieSquatPart2[core.LShoulderRoll] = -10 # 45  # -20  # 45
goalieSquatPart2[core.LElbowYaw] = 0
goalieSquatPart2[core.LElbowRoll] = 0  # 
goalieSquatPart2[core.RShoulderPitch] = -125  # -90 # -15
goalieSquatPart2[core.RShoulderRoll] = -10 # 45  # -30  #  45
goalieSquatPart2[core.RElbowYaw] = 0
goalieSquatPart2[core.RElbowRoll] = 0  # 
 # 0.3, 0, stiff.LOW_HEAD_STIFFNESSES),

goalieSquatRise = dict()
goalieSquatRise[core.HeadYaw] = 0
goalieSquatRise[core.HeadPitch] = -25  #  -21
goalieSquatRise[core.LHipYawPitch] = -110 # -90
goalieSquatRise[core.LHipRoll] = -38
goalieSquatRise[core.LHipPitch] = -75
goalieSquatRise[core.LKneePitch] = 90
goalieSquatRise[core.LAnklePitch] = 30
goalieSquatRise[core.LAnkleRoll] = 30 # 20
goalieSquatRise[core.RHipYawPitch] = -110  # -90
goalieSquatRise[core.RHipRoll] = -38
goalieSquatRise[core.RHipPitch] = -75
goalieSquatRise[core.RKneePitch] = 90
goalieSquatRise[core.RAnklePitch] = 30
goalieSquatRise[core.RAnkleRoll] = 30 # 20
goalieSquatRise[core.LShoulderPitch] = -105  # -20
goalieSquatRise[core.LShoulderRoll] = -10  # 45
goalieSquatRise[core.LElbowYaw] = 0
goalieSquatRise[core.LElbowRoll] = 75  # 
goalieSquatRise[core.RShoulderPitch] = -45
goalieSquatRise[core.RShoulderRoll] = -30  #  45
goalieSquatRise[core.RElbowYaw] = 0
goalieSquatRise[core.RElbowRoll] = 75  # 


goalieSquatPart3 = dict()
goalieSquatPart3[core.HeadYaw] = 0
goalieSquatPart3[core.HeadPitch] = -21
goalieSquatPart3[core.LHipYawPitch] = -90
goalieSquatPart3[core.LHipRoll] = -38
goalieSquatPart3[core.LHipPitch] = -90
goalieSquatPart3[core.LKneePitch] = 90
goalieSquatPart3[core.LAnklePitch] = 30
goalieSquatPart3[core.LAnkleRoll] = 20
goalieSquatPart3[core.RHipYawPitch] = -90
goalieSquatPart3[core.RHipRoll] = -38
goalieSquatPart3[core.RHipPitch] = -90
goalieSquatPart3[core.RKneePitch] = 90
goalieSquatPart3[core.RAnklePitch] = 30
goalieSquatPart3[core.RAnkleRoll] = 40
goalieSquatPart3[core.LShoulderPitch] = -30
goalieSquatPart3[core.LShoulderRoll] = -18
goalieSquatPart3[core.LElbowYaw] = 0
goalieSquatPart3[core.LElbowRoll] = 0  # 
goalieSquatPart3[core.RShoulderPitch] = -30
goalieSquatPart3[core.RShoulderRoll] = -18
goalieSquatPart3[core.RElbowYaw] = 0
goalieSquatPart3[core.RElbowRoll] = 0  # 

goalieSquatPart4 = dict()
goalieSquatPart4[core.HeadYaw] = 0
goalieSquatPart4[core.HeadPitch] = -21
goalieSquatPart4[core.LHipYawPitch] = -90
goalieSquatPart4[core.LHipRoll] = -38
goalieSquatPart4[core.LHipPitch] = -60
goalieSquatPart4[core.LKneePitch] = 90
goalieSquatPart4[core.LAnklePitch] = 30
goalieSquatPart4[core.LAnkleRoll] = 20
goalieSquatPart4[core.RHipYawPitch] = -90
goalieSquatPart4[core.RHipRoll] = -38
goalieSquatPart4[core.RHipPitch] = -60
goalieSquatPart4[core.RKneePitch] = 90
goalieSquatPart4[core.RAnklePitch] = 30
goalieSquatPart4[core.RAnkleRoll] = 40
goalieSquatPart4[core.LShoulderPitch] = -30
goalieSquatPart4[core.LShoulderRoll] = -18
goalieSquatPart4[core.LElbowYaw] = 0
goalieSquatPart4[core.LElbowRoll] = 0  # 
goalieSquatPart4[core.RShoulderPitch] = -30
goalieSquatPart4[core.RShoulderRoll] = -18
goalieSquatPart4[core.RElbowYaw] = 0
goalieSquatPart4[core.RElbowRoll] = 0  # 

goalieSquatGetup1 = dict()
goalieSquatGetup1[core.RHipPitch] = -75.0
goalieSquatGetup1[core.LKneePitch] = 125.0
goalieSquatGetup1[core.RAnkleRoll] = 0
 #  time = 0.8
goalieSquatGetup1[core.LHipPitch] = -75.0
goalieSquatGetup1[core.LAnklePitch] = -10.7
goalieSquatGetup1[core.RHipYawPitch] = -76.0
goalieSquatGetup1[core.LAnkleRoll] = 0
goalieSquatGetup1[core.LHipYawPitch] = -76.0
goalieSquatGetup1[core.RAnklePitch] = -10.7
goalieSquatGetup1[core.LHipRoll] = -10.0
goalieSquatGetup1[core.RHipRoll] = -10.0
goalieSquatGetup1[core.RKneePitch] = 125.0

goalieSquatGetup1[core.LShoulderPitch] = 0.0
goalieSquatGetup1[core.LShoulderRoll] = 45 #  35.0  # 55.0
goalieSquatGetup1[core.LElbowYaw] = 0.0
goalieSquatGetup1[core.LElbowRoll] = 0
goalieSquatGetup1[core.RShoulderPitch] = 0.0
goalieSquatGetup1[core.RShoulderRoll] = 45  #  55.0
goalieSquatGetup1[core.RElbowYaw] = -0.0
goalieSquatGetup1[core.RElbowRoll] = 0

 # goalieSquatGetup1[core.LHipPitch] = -60
 # goalieSquatGetup1[core.LAnklePitch] = -60
 # goalieSquatGetup1[core.LAnkleRoll] = 0
 # goalieSquatGetup1[core.RAnklePitch] = -60
 # goalieSquatGetup1[core.LHipRoll] = 0
 # goalieSquatGetup1[core.RHipRoll] = 0
 # goalieSquatGetup1[core.RKneePitch] = 120

goalieSquatGetup6 = dict()
goalieSquatGetup6[core.RHipPitch] = -75.0
goalieSquatGetup6[core.LKneePitch] = 125.0
goalieSquatGetup6[core.RAnkleRoll] = 0
 #  time = 0.8
goalieSquatGetup6[core.LHipPitch] = -75.0
goalieSquatGetup6[core.LAnklePitch] = -10.7
goalieSquatGetup6[core.RHipYawPitch] = -76.0
goalieSquatGetup6[core.LAnkleRoll] = 0
goalieSquatGetup6[core.LHipYawPitch] = -76.0
goalieSquatGetup6[core.RAnklePitch] = -10.7
goalieSquatGetup6[core.LHipRoll] = -10.0
goalieSquatGetup6[core.RHipRoll] = -10.0
goalieSquatGetup6[core.RKneePitch] = 125.0

goalieSquatGetup6[core.LShoulderPitch] = 0.0
goalieSquatGetup6[core.LShoulderRoll] = 45 #  35.0  # 55.0
goalieSquatGetup6[core.LElbowYaw] = 0.0
goalieSquatGetup6[core.LElbowRoll] = 0
goalieSquatGetup6[core.RShoulderPitch] = 0.0
goalieSquatGetup6[core.RShoulderRoll] = 45  #  55.0
goalieSquatGetup6[core.RElbowYaw] = -0.0
goalieSquatGetup6[core.RElbowRoll] = 0

goalieSquatGetup6[core.LHipPitch] = -60
goalieSquatGetup6[core.LAnklePitch] = -60
goalieSquatGetup6[core.LAnkleRoll] = 0
goalieSquatGetup6[core.RAnklePitch] = -60
goalieSquatGetup6[core.LHipRoll] = 0
goalieSquatGetup6[core.RHipRoll] = 0
goalieSquatGetup6[core.RKneePitch] = 120

goalieSquatGetup2 = dict()
goalieSquatGetup2[core.RHipPitch] = -50.0
goalieSquatGetup2[core.LHipPitch] = -50.0
goalieSquatGetup2[core.LKneePitch] = 125.0
goalieSquatGetup2[core.RAnkleRoll] = 5
 #  time = 0.8
goalieSquatGetup2[core.LAnklePitch] = -45.0
goalieSquatGetup2[core.RHipYawPitch] = -35.0
goalieSquatGetup2[core.LAnkleRoll] = 5
goalieSquatGetup2[core.LHipYawPitch] = -35.0
goalieSquatGetup2[core.RAnklePitch] = -45.0
goalieSquatGetup2[core.LHipRoll] = -4.0
goalieSquatGetup2[core.RHipRoll] = -4.0
goalieSquatGetup2[core.RKneePitch] = 125.0

goalieSquatGetup2[core.LShoulderPitch] = -80  #  -0.0
goalieSquatGetup2[core.LShoulderRoll] = 80  #  -12  #  45.0
goalieSquatGetup2[core.LElbowYaw] = 0.0
goalieSquatGetup2[core.LElbowRoll] = 0

goalieSquatGetup2[core.RShoulderPitch] = -80.0
goalieSquatGetup2[core.RShoulderRoll] = 80 #  -12.0
goalieSquatGetup2[core.RElbowYaw] = -0.0
goalieSquatGetup2[core.RElbowRoll] = 0


 #  sum to 30
goalieSquatGetup2[core.LHipPitch] = -50
goalieSquatGetup2[core.LAnklePitch] = -50
goalieSquatGetup2[core.LKneePitch] = 130
goalieSquatGetup2[core.LAnkleRoll] = 0
goalieSquatGetup2[core.RAnklePitch] = -50
goalieSquatGetup2[core.LHipRoll] = 0
goalieSquatGetup2[core.RHipRoll] = 0
goalieSquatGetup2[core.RKneePitch] = 130
goalieSquatGetup2[core.RHipPitch] = -50
goalieSquatGetup2[core.RAnkleRoll] = 0

goalieSquatGetup3 = dict()
goalieSquatGetup3[core.RHipPitch] = -61
goalieSquatGetup3[core.RElbowYaw] = -53
goalieSquatGetup3[core.RShoulderPitch] = -75
goalieSquatGetup3[core.LShoulderPitch] = -75
goalieSquatGetup3[core.LKneePitch] = 124
goalieSquatGetup3[core.RAnkleRoll] = 6
 #  time = 0.6
goalieSquatGetup3[core.LShoulderRoll] = 10
goalieSquatGetup3[core.LHipPitch] = -61
goalieSquatGetup3[core.LElbowYaw] = -53
goalieSquatGetup3[core.LAnklePitch] = -35
goalieSquatGetup3[core.RHipYawPitch] = -35.0
goalieSquatGetup3[core.LElbowRoll] = -74
goalieSquatGetup3[core.RShoulderRoll] = 10
goalieSquatGetup3[core.LAnkleRoll] = 6
goalieSquatGetup3[core.LHipYawPitch] = -35.0
goalieSquatGetup3[core.RAnklePitch] = -35
goalieSquatGetup3[core.LHipRoll] = -6
goalieSquatGetup3[core.RHipRoll] = -6
goalieSquatGetup3[core.RElbowRoll] = -74
goalieSquatGetup3[core.RKneePitch] = 124

goalieSquatGetup4 = dict()
goalieSquatGetup4[core.RHipPitch] = -19.43
goalieSquatGetup4[core.LKneePitch] = 123.31
goalieSquatGetup4[core.RAnkleRoll] = 9.06
 #  time = 0.5
goalieSquatGetup4[core.LHipPitch] = -15.2
goalieSquatGetup4[core.LAnklePitch] = -69.52
goalieSquatGetup4[core.RHipYawPitch] = -45.0
goalieSquatGetup4[core.LAnkleRoll] = 4.48
goalieSquatGetup4[core.LHipYawPitch] = -45.0
goalieSquatGetup4[core.RAnklePitch] = -65.3
goalieSquatGetup4[core.LHipRoll] = -23.56
goalieSquatGetup4[core.RHipRoll] = -31.11
goalieSquatGetup4[core.RKneePitch] = 124.54
goalieSquatGetup4[core.LShoulderPitch] = -76.9
goalieSquatGetup4[core.LShoulderRoll] = 27.6
goalieSquatGetup4[core.LElbowYaw] = -104.33
goalieSquatGetup4[core.LElbowRoll] = 1.58
goalieSquatGetup4[core.RShoulderPitch] = -82.09
goalieSquatGetup4[core.RShoulderRoll] = 27.07
goalieSquatGetup4[core.RElbowYaw] = -84.64
goalieSquatGetup4[core.RElbowRoll] = -2.81


goalieSquatGetup5 = dict()
goalieSquatGetup5[core.RHipPitch] = -60
goalieSquatGetup5[core.LKneePitch] = 120
goalieSquatGetup5[core.RAnkleRoll] = 0
 #  time = 0.6
goalieSquatGetup5[core.LHipPitch] = -60
goalieSquatGetup5[core.LAnklePitch] = -60
goalieSquatGetup5[core.RHipYawPitch] = 0
goalieSquatGetup5[core.LAnkleRoll] = 0
goalieSquatGetup5[core.LHipYawPitch] = 0
goalieSquatGetup5[core.RAnklePitch] = -60
goalieSquatGetup5[core.LHipRoll] = 0
goalieSquatGetup5[core.RHipRoll] = 0
goalieSquatGetup5[core.RKneePitch] = 120

goalieSquatGetup5[core.LShoulderPitch] = -116 #  -93
goalieSquatGetup5[core.LShoulderRoll] = 12  #  10
goalieSquatGetup5[core.LElbowYaw] = -85  #  -90
goalieSquatGetup5[core.LElbowRoll] = -0  #  -80
goalieSquatGetup5[core.RShoulderPitch] = -116  #  -93
goalieSquatGetup5[core.RShoulderRoll] = 12  #  10
goalieSquatGetup5[core.RElbowYaw] = -85  #  -90
goalieSquatGetup5[core.RElbowRoll] = -0  #  -80

goalieSquatGetup7 = dict()
goalieSquatGetup7[core.RHipPitch] = -50.0
goalieSquatGetup7[core.LHipPitch] = -50.0
goalieSquatGetup7[core.LKneePitch] = 125.0
goalieSquatGetup7[core.RAnkleRoll] = 5
 #  time = 0.8
goalieSquatGetup7[core.LAnklePitch] = -45.0
goalieSquatGetup7[core.RHipYawPitch] = -35.0
goalieSquatGetup7[core.LAnkleRoll] = 5
goalieSquatGetup7[core.LHipYawPitch] = -35.0
goalieSquatGetup7[core.RAnklePitch] = -45.0
goalieSquatGetup7[core.LHipRoll] = -4.0
goalieSquatGetup7[core.RHipRoll] = -4.0
goalieSquatGetup7[core.RKneePitch] = 125.0

goalieSquatGetup7[core.LShoulderPitch] = -80  #  -0.0
goalieSquatGetup7[core.LShoulderRoll] = 80  #  -12  #  45.0
goalieSquatGetup7[core.LElbowYaw] = 0.0
goalieSquatGetup7[core.LElbowRoll] = 0

goalieSquatGetup7[core.RShoulderPitch] = -80.0
goalieSquatGetup7[core.RShoulderRoll] = 80 #  -12.0
goalieSquatGetup7[core.RElbowYaw] = -0.0
goalieSquatGetup7[core.RElbowRoll] = 0


 #  sum to 30
goalieSquatGetup7[core.LHipPitch] = -50
goalieSquatGetup7[core.LAnklePitch] = -50
goalieSquatGetup7[core.LKneePitch] = 130
goalieSquatGetup7[core.LAnkleRoll] = 0
goalieSquatGetup7[core.RAnklePitch] = -50
goalieSquatGetup7[core.LHipRoll] = 0
goalieSquatGetup7[core.RKneePitch] = 130
goalieSquatGetup7[core.RHipPitch] = -50
goalieSquatGetup7[core.RHipRoll] = 20
goalieSquatGetup7[core.RAnkleRoll] = -27

goalieSquatGetup8 = dict() 
goalieSquatGetup8[core.HeadYaw] = 0.08548664765188 
goalieSquatGetup8[core.HeadPitch] = -23.025223390273 
goalieSquatGetup8[core.LHipYawPitch] = -65.564823163839 
goalieSquatGetup8[core.LHipRoll] = -10.90098191534 
goalieSquatGetup8[core.LHipPitch] = 1.5844536232812 
goalieSquatGetup8[core.LKneePitch] = 109.95014495682 
goalieSquatGetup8[core.LAnklePitch] = -59.241427200052 
goalieSquatGetup8[core.LAnkleRoll] = 6.2379024859459 
goalieSquatGetup8[core.RHipYawPitch] = -65.564823163839 
goalieSquatGetup8[core.RHipRoll] = -38.494167520626 
goalieSquatGetup8[core.RHipPitch] = -70.140004888805 
goalieSquatGetup8[core.RKneePitch] = 61.790289873761 
goalieSquatGetup8[core.RAnklePitch] = 30.500838116096 
goalieSquatGetup8[core.RAnkleRoll] = 11.955672406217 
goalieSquatGetup8[core.LShoulderPitch] = -38.845744677964 
goalieSquatGetup8[core.LShoulderRoll] = 43.679783742284 
goalieSquatGetup8[core.LElbowYaw] = -0.7934357551237 
goalieSquatGetup8[core.LElbowRoll] = -1.8433177928247 
goalieSquatGetup8[core.RShoulderPitch] = -23.908954246225 
goalieSquatGetup8[core.RShoulderRoll] = 44.739296346714 
goalieSquatGetup8[core.RElbowYaw] = -0.87651817618774 
goalieSquatGetup8[core.RElbowRoll] = -1.9360171202401 

goalieSquatGetup9 = dict() 
goalieSquatGetup9[core.HeadYaw] = -0.35396772354674 
goalieSquatGetup9[core.HeadPitch] = -23.025223390273 
goalieSquatGetup9[core.LHipYawPitch] = -55.89673820501 
goalieSquatGetup9[core.LHipRoll] = -10.022059512565 
goalieSquatGetup9[core.LHipPitch] = -11.862973078802 
goalieSquatGetup9[core.LKneePitch] = 124.18860318744 
goalieSquatGetup9[core.LAnklePitch] = -67.327469592377 
goalieSquatGetup9[core.LAnkleRoll] = 1.9312086670644 
goalieSquatGetup9[core.RHipYawPitch] = -55.89673820501 
goalieSquatGetup9[core.RHipRoll] = -46.580209912951 
goalieSquatGetup9[core.RHipPitch] = -55.110528790028 
goalieSquatGetup9[core.RKneePitch] = 49.661239945652 
goalieSquatGetup9[core.RAnklePitch] = 40.168929905114 
goalieSquatGetup9[core.RAnkleRoll] = 17.668647533691 
goalieSquatGetup9[core.LShoulderPitch] = -56.248301701969 
goalieSquatGetup9[core.LShoulderRoll] = 43.064547622605 
goalieSquatGetup9[core.LElbowYaw] = -0.7934357551237 
goalieSquatGetup9[core.LElbowRoll] = -1.8433177928247 
goalieSquatGetup9[core.RShoulderPitch] = -39.377898376578 
goalieSquatGetup9[core.RShoulderRoll] = 42.981465201541 
goalieSquatGetup9[core.RElbowYaw] = -0.87651817618774 
goalieSquatGetup9[core.RElbowRoll] = -2.0239079944798

goalieSquatGetup10 = dict() 
goalieSquatGetup10[core.HeadYaw] = -0.35396772354674 
goalieSquatGetup10[core.HeadPitch] = -21.179501370861 
goalieSquatGetup10[core.LHipYawPitch] = -53.69943902826 
goalieSquatGetup10[core.LHipRoll] = -9.6704960156059 
goalieSquatGetup10[core.LHipPitch] = -26.101444969799 
goalieSquatGetup10[core.LKneePitch] = 124.18860318744 
goalieSquatGetup10[core.LAnklePitch] = -67.766923963575 
goalieSquatGetup10[core.LAnkleRoll] = 4.2163987180539 
goalieSquatGetup10[core.RHipYawPitch] = -53.69943902826 
goalieSquatGetup10[core.RHipRoll] = -27.683494366492 
goalieSquatGetup10[core.RHipPitch] = -60.384008565169 
goalieSquatGetup10[core.RKneePitch] = 47.903395140101 
goalieSquatGetup10[core.RAnklePitch] = 40.168929905114 
goalieSquatGetup10[core.RAnkleRoll] = 17.93232015641 
goalieSquatGetup10[core.LShoulderPitch] = -56.863537821647 
goalieSquatGetup10[core.LShoulderRoll] = 42.976656748366 
goalieSquatGetup10[core.LElbowYaw] = -0.7934357551237 
goalieSquatGetup10[core.LElbowRoll] = -1.8433177928247 
goalieSquatGetup10[core.RShoulderPitch] = -55.549983161227 
goalieSquatGetup10[core.RShoulderRoll] = 42.893560666923 
goalieSquatGetup10[core.RElbowYaw] = -0.43705014461078 
goalieSquatGetup10[core.RElbowRoll] = -2.0239079944798 

goalieSquatGetup11 = dict() 
goalieSquatGetup11[core.HeadYaw] = -0.52974947202619 
goalieSquatGetup11[core.HeadPitch] = -23.64047317033 
goalieSquatGetup11[core.LHipYawPitch] = -53.172093782822 
goalieSquatGetup11[core.LHipRoll] = -5.803256567923 
goalieSquatGetup11[core.LHipPitch] = -31.902297311134 
goalieSquatGetup11[core.LKneePitch] = 122.43077204226 
goalieSquatGetup11[core.LAnklePitch] = -70.227895763044 
goalieSquatGetup11[core.LAnkleRoll] = 4.3042895922937 
goalieSquatGetup11[core.RHipYawPitch] = -53.172093782822 
goalieSquatGetup11[core.RHipRoll] = -27.156135460675 
goalieSquatGetup11[core.RHipPitch] = -59.065645451573 
goalieSquatGetup11[core.RKneePitch] = 43.59670132122 
goalieSquatGetup11[core.RAnklePitch] = 39.993134496256 
goalieSquatGetup11[core.RAnkleRoll] = 8.9673553613097 
goalieSquatGetup11[core.LShoulderPitch] = -57.918241972902 
goalieSquatGetup11[core.LShoulderRoll] = 41.394593691294 
goalieSquatGetup11[core.LElbowYaw] = -0.70553122050564 
goalieSquatGetup11[core.LElbowRoll] = -1.9312086670644 
goalieSquatGetup11[core.RShoulderPitch] = -58.801972828854 
goalieSquatGetup11[core.RShoulderRoll] = 29.70980658756 
goalieSquatGetup11[core.RElbowYaw] = -0.61283189309022 
goalieSquatGetup11[core.RElbowRoll] = -2.0239079944798

goalieSquatGetup12 = dict()
goalieSquatGetup12[core.HeadYaw] = 0
goalieSquatGetup12[core.HeadPitch] = -21
goalieSquatGetup12[core.LHipYawPitch] = -115
goalieSquatGetup12[core.LHipRoll] = -38
goalieSquatGetup12[core.LHipPitch] = -75
goalieSquatGetup12[core.LKneePitch] = 90
goalieSquatGetup12[core.LAnklePitch] = 30
goalieSquatGetup12[core.LAnkleRoll] = 20
goalieSquatGetup12[core.RHipYawPitch] = -115
goalieSquatGetup12[core.RHipRoll] = -38
goalieSquatGetup12[core.RHipPitch] = -75
goalieSquatGetup12[core.RKneePitch] = 90
goalieSquatGetup12[core.RAnklePitch] = 30
goalieSquatGetup12[core.RAnkleRoll] = 20
goalieSquatGetup12[core.LShoulderPitch] = 0
goalieSquatGetup12[core.LShoulderRoll] = 0
goalieSquatGetup12[core.LElbowYaw] = 0
goalieSquatGetup12[core.LElbowRoll] = 0  # 
goalieSquatGetup12[core.RShoulderPitch] = 0
goalieSquatGetup12[core.RShoulderRoll] = 0
goalieSquatGetup12[core.RElbowYaw] = 0
goalieSquatGetup12[core.RElbowRoll] = 0  # 

goalieSquatGetup13 = dict()
goalieSquatGetup13[core.RHipPitch] = -75.0
goalieSquatGetup13[core.LKneePitch] = 125.0
goalieSquatGetup13[core.RAnkleRoll] = 0
 #  time = 0.8
goalieSquatGetup13[core.LHipPitch] = -75.0
goalieSquatGetup13[core.LAnklePitch] = -10.7
goalieSquatGetup13[core.RHipYawPitch] = -76.0
goalieSquatGetup13[core.LAnkleRoll] = 0
goalieSquatGetup13[core.LHipYawPitch] = -76.0
goalieSquatGetup13[core.RAnklePitch] = -10.7
goalieSquatGetup13[core.LHipRoll] = -10.0
goalieSquatGetup13[core.RHipRoll] = -10.0
goalieSquatGetup13[core.RKneePitch] = 125.0

goalieSquatGetup13[core.LShoulderPitch] = 0.0
goalieSquatGetup13[core.LShoulderRoll] = 45 #  35.0  # 55.0
goalieSquatGetup13[core.LElbowYaw] = 0.0
goalieSquatGetup13[core.LElbowRoll] = 0
goalieSquatGetup13[core.RShoulderPitch] = 0.0
goalieSquatGetup13[core.RShoulderRoll] = 45  #  55.0
goalieSquatGetup13[core.RElbowYaw] = -0.0
goalieSquatGetup13[core.RElbowRoll] = 0

goalieSquatGetup14 = dict() 
goalieSquatGetup14[core.HeadYaw] = -0.090295100827569 
goalieSquatGetup14[core.HeadPitch] = -21.970532899397 
goalieSquatGetup14[core.LHipYawPitch] = -42.27351609407 
goalieSquatGetup14[core.LHipRoll] = -19.426478678864 
goalieSquatGetup14[core.LHipPitch] = -18.454856948673 
goalieSquatGetup14[core.LKneePitch] = 121.55184963949 
goalieSquatGetup14[core.LAnklePitch] = -68.118487460534 
goalieSquatGetup14[core.LAnkleRoll] = 2.8980219440797 
goalieSquatGetup14[core.RHipYawPitch] = -42.27351609407 
goalieSquatGetup14[core.RHipRoll] = -19.157997602969 
goalieSquatGetup14[core.RHipPitch] = -19.778042175823 
goalieSquatGetup14[core.RKneePitch] = 121.82033071538 
goalieSquatGetup14[core.RAnklePitch] = -68.025794963308 
goalieSquatGetup14[core.RAnkleRoll] = 2.9028303972554 
goalieSquatGetup14[core.LShoulderPitch] = -84.197872917768 
goalieSquatGetup14[core.LShoulderRoll] = 0.1733775218916 
goalieSquatGetup14[core.LElbowYaw] = -50.188585191091 
goalieSquatGetup14[core.LElbowRoll] = -54.842034053755 
goalieSquatGetup14[core.RShoulderPitch] = -106.61507286813 
goalieSquatGetup14[core.RShoulderRoll] = 13.186158305952 
goalieSquatGetup14[core.RElbowYaw] = -49.568526957858 
goalieSquatGetup14[core.RElbowRoll] = -85.872635302255

goalieSquatGetup15 = dict() 
goalieSquatGetup15[core.HeadYaw] = 0.5249410188505 
goalieSquatGetup15[core.HeadPitch] = -25  # -22.146314647876 
goalieSquatGetup15[core.LHipYawPitch] = -49.920104115196 
goalieSquatGetup15[core.LHipRoll] = -24.328753331446 
goalieSquatGetup15[core.LHipPitch] = -24.519381912727 
goalieSquatGetup15[core.LKneePitch] = 124.27649406168 
goalieSquatGetup15[core.LAnklePitch] = -70.052114014565 
goalieSquatGetup15[core.LAnkleRoll] = -5.4516930709641 
goalieSquatGetup15[core.RHipYawPitch] = -49.920104115196 
goalieSquatGetup15[core.RHipRoll] = -44.187473701745 
goalieSquatGetup15[core.RHipPitch] = -14.856112237263 
goalieSquatGetup15[core.RKneePitch] = 108.81237204488 
goalieSquatGetup15[core.RAnklePitch] = -47.195459693008 
goalieSquatGetup15[core.RAnkleRoll] = 20.041714798542 
goalieSquatGetup15[core.LShoulderPitch] = 0
goalieSquatGetup15[core.LShoulderRoll] = 0
goalieSquatGetup15[core.LElbowYaw] = 0
goalieSquatGetup15[core.LElbowRoll] = 0
goalieSquatGetup15[core.RShoulderPitch] = 0
goalieSquatGetup15[core.RShoulderRoll] = 0
goalieSquatGetup15[core.RElbowYaw] = 0
goalieSquatGetup15[core.RElbowRoll] = 0

goalieSquat5 = dict() 
goalieSquat5[core.HeadYaw] = 0.08548664765188 
goalieSquat5[core.HeadPitch] = 40 # -24.607286447345 
goalieSquat5[core.LHipYawPitch] = -69.168383158614 
goalieSquat5[core.LHipRoll] = -50 # -55
goalieSquat5[core.LHipPitch] = -89.910834384864 
goalieSquat5[core.LKneePitch] = 91.404992907317 
goalieSquat5[core.LAnklePitch] = 42.888752213748 
goalieSquat5[core.LAnkleRoll] = 20 # 11.071955210644 
goalieSquat5[core.RHipYawPitch] = -69.168383158614 
goalieSquat5[core.RHipRoll] = -50 # -55
goalieSquat5[core.RHipPitch] = -89.56407934108 
goalieSquat5[core.RKneePitch] = 92.728178134467 
goalieSquat5[core.RAnklePitch] = 41.39940214447 
goalieSquat5[core.RAnkleRoll] = 20 # -6.1548200648819 
goalieSquat5[core.LShoulderPitch] = -140 # -14
goalieSquat5[core.LShoulderRoll] = -15 # 16.472663752734 
goalieSquat5[core.LElbowYaw] = -1.8481262460004 
goalieSquat5[core.LElbowRoll] = -2.0190995413041 
goalieSquat5[core.RShoulderPitch] = -20 # -14
goalieSquat5[core.RShoulderRoll] = -30 # 16.057673120688 
goalieSquat5[core.RElbowYaw] = -0.43705014461078 
goalieSquat5[core.RElbowRoll] = -2.8149395230157

goalieSquat51 = dict()
goalieSquat51[core.HeadYaw] = 0.08548664765188
goalieSquat51[core.HeadPitch] = -40 # -24.607286447345 
goalieSquat51[core.LHipYawPitch] = -69.168383158614
goalieSquat51[core.LHipRoll] = -50 # -55
goalieSquat51[core.LHipPitch] = -89.910834384864
goalieSquat51[core.LKneePitch] = 91.404992907317
goalieSquat51[core.LAnklePitch] = 42.888752213748
goalieSquat51[core.LAnkleRoll] = 20 # 11.071955210644 
goalieSquat51[core.RHipYawPitch] = -69.168383158614
goalieSquat51[core.RHipRoll] = -50 # -55
goalieSquat51[core.RHipPitch] = -89.56407934108
goalieSquat51[core.RKneePitch] = 92.728178134467
goalieSquat51[core.RAnklePitch] = 41.39940214447
goalieSquat51[core.RAnkleRoll] = 20 # -6.1548200648819 
goalieSquat51[core.LShoulderPitch] = -110 # -14
goalieSquat51[core.LShoulderRoll] = -45 # 16.472663752734 
goalieSquat51[core.LElbowYaw] = -1.8481262460004
goalieSquat51[core.LElbowRoll] = -2.0190995413041
goalieSquat51[core.RShoulderPitch] = -20 # -14
goalieSquat51[core.RShoulderRoll] = -30 # 16.057673120688 
goalieSquat51[core.RElbowYaw] = -0.43705014461078
goalieSquat51[core.RElbowRoll] = -2.8149395230157


goalieSquatGetup16 = dict()
goalieSquatGetup16[core.RHipPitch] = -75.0
goalieSquatGetup16[core.LKneePitch] = 125.0
goalieSquatGetup16[core.RAnkleRoll] = 0
 #  time = 0.8
goalieSquatGetup16[core.LHipPitch] = -75.0
goalieSquatGetup16[core.LAnklePitch] = -10.7
goalieSquatGetup16[core.RHipYawPitch] = -76.0
goalieSquatGetup16[core.LAnkleRoll] = 0
goalieSquatGetup16[core.LHipYawPitch] = -76.0
goalieSquatGetup16[core.RAnklePitch] = -10.7
goalieSquatGetup16[core.LHipRoll] = -20.0
goalieSquatGetup16[core.RHipRoll] = -20.0
goalieSquatGetup16[core.RKneePitch] = 125.0

goalieSquatGetup16[core.LShoulderPitch] = 0.0
goalieSquatGetup16[core.LShoulderRoll] = 0 #  35.0  # 55.0
goalieSquatGetup16[core.LElbowYaw] = 0.0
goalieSquatGetup16[core.LElbowRoll] = 0
goalieSquatGetup16[core.RShoulderPitch] = 0.0
goalieSquatGetup16[core.RShoulderRoll] = 0  #  55.0
goalieSquatGetup16[core.RElbowYaw] = -0.0
goalieSquatGetup16[core.RElbowRoll] = 0

longKickStepFirst={}
longKickStepFirst[core.HeadYaw] = 35.769523098438 
longKickStepFirst[core.HeadPitch] = -22.146314647876 
longKickStepFirst[core.LHipYawPitch] = 0.0024042265878445 
longKickStepFirst[core.LHipRoll] = -2.9907212714951 
longKickStepFirst[core.LHipPitch] = -28.738184857369 
longKickStepFirst[core.LKneePitch] = 49  #  63.806985188477 
longKickStepFirst[core.LAnklePitch] = -34.983313683457 
longKickStepFirst[core.LAnkleRoll] = 3.4253671895181 
longKickStepFirst[core.RHipYawPitch] = 0.0024042265878445 
longKickStepFirst[core.RHipRoll] = 0.0024042265878445 
longKickStepFirst[core.RHipPitch] = -45.969782246449 
longKickStepFirst[core.RKneePitch] = 40  #  55.286310538508 
longKickStepFirst[core.RAnklePitch] = -9.3141240654713 
longKickStepFirst[core.RAnkleRoll] = -0.5249410188505
longKickStepFirst[core.LShoulderPitch] = -116
longKickStepFirst[core.LShoulderRoll] = -2
longKickStepFirst[core.LElbowYaw] = 25
longKickStepFirst[core.LElbowRoll] = -53
longKickStepFirst[core.RShoulderPitch] = -116
longKickStepFirst[core.RShoulderRoll] = -2
longKickStepFirst[core.RElbowYaw] = 25
longKickStepFirst[core.RElbowRoll] = -53

longKickStepFirst2={}
longKickStepFirst2[core.HeadYaw] = 35.769523098438 
longKickStepFirst2[core.HeadPitch] = -22.146314647876 
longKickStepFirst2[core.LHipYawPitch] = 0.0024042265878445 
longKickStepFirst2[core.LHipRoll] = -2.9907212714951 
longKickStepFirst2[core.LHipPitch] = -28.738184857369 
longKickStepFirst2[core.LKneePitch] = 49  #  63.806985188477 
longKickStepFirst2[core.LAnklePitch] = -34.983313683457 
longKickStepFirst2[core.LAnkleRoll] = 3.4253671895181 
longKickStepFirst2[core.RHipYawPitch] = 0.0024042265878445 
longKickStepFirst2[core.RHipRoll] = 0.0024042265878445 
longKickStepFirst2[core.RHipPitch] = -45.969782246449 
longKickStepFirst2[core.RKneePitch] = 40  #  55.286310538508 
longKickStepFirst2[core.RAnklePitch] = -9.3141240654713 
longKickStepFirst2[core.RAnkleRoll] = -0.5249410188505 
longKickStepFirst2[core.LShoulderPitch] = -116
longKickStepFirst2[core.LShoulderRoll] = 12
longKickStepFirst2[core.LElbowYaw] = -85
longKickStepFirst2[core.LElbowRoll] = -0
longKickStepFirst2[core.RShoulderPitch] = -116
longKickStepFirst2[core.RShoulderRoll] = 12
longKickStepFirst2[core.RElbowYaw] = -85
longKickStepFirst2[core.RElbowRoll] = -0


longKickStep={}
longKickStep[core.HeadYaw] = 35.769523098438 
longKickStep[core.HeadPitch] = -22.146314647876 
longKickStep[core.LHipYawPitch] = 0.0024042265878445 
longKickStep[core.LHipRoll] = -2.9907212714951 
longKickStep[core.LHipPitch] = -28.738184857369 
longKickStep[core.LKneePitch] = 54  #  63.806985188477 
longKickStep[core.LAnklePitch] = -34.983313683457 
longKickStep[core.LAnkleRoll] = 3.4253671895181
longKickStep[core.RHipYawPitch] = 0.0024042265878445 
longKickStep[core.RHipRoll] = 0.0024042265878445 
longKickStep[core.RHipPitch] = -45.969782246449 
longKickStep[core.RKneePitch] = 45  #  55.286310538508 
longKickStep[core.RAnklePitch] = -9.3141240654713 
longKickStep[core.RAnkleRoll] = -0.5249410188505 
longKickStep[core.LShoulderPitch] = -116
longKickStep[core.LShoulderRoll] = -2
longKickStep[core.LElbowYaw] = 25
longKickStep[core.LElbowRoll] = -53
longKickStep[core.RShoulderPitch] = -116
longKickStep[core.RShoulderRoll] = -2
longKickStep[core.RElbowYaw] = 25
longKickStep[core.RElbowRoll] = -53

longKickStepShort={}
longKickStepShort[core.HeadYaw] = 119.09087784002 
longKickStepShort[core.HeadPitch] = -18.103293451714 
longKickStepShort[core.LHipYawPitch] = 0.35396772354674 
longKickStepShort[core.LHipRoll] = -2.1118125290979 
longKickStepShort[core.LHipPitch] = -28.47451223465 
longKickStepShort[core.LKneePitch] = 62.664403823361 
longKickStepShort[core.LAnklePitch] = -36.213799583191 
longKickStepShort[core.LAnkleRoll] = 2.4585675728811 
longKickStepShort[core.RHipYawPitch] = 0.35396772354674 
longKickStepShort[core.RHipRoll] = -1.3159725473864 
longKickStepShort[core.RHipPitch] = -42.014651924526 
longKickStepShort[core.RKneePitch] = 66.009079158024 
longKickStepShort[core.RAnklePitch] = -25.398304315503 
longKickStepShort[core.RAnkleRoll] = 0.88132662936343 
longKickStepShort[core.LShoulderPitch] = -114.60841593304 
longKickStepShort[core.LShoulderRoll] = 7.292606637201 
longKickStepShort[core.LElbowYaw] = 24.695177321585 
longKickStepShort[core.LElbowRoll] = -52.117389631567 
longKickStepShort[core.RShoulderPitch] = -114.61322438621 
longKickStepShort[core.RShoulderRoll] = 7.2095242161369 
longKickStepShort[core.RElbowYaw] = 24.524190365903 
longKickStepShort[core.RElbowRoll] = -51.858511801645 

longKickStep2={}
longKickStep2[core.HeadYaw] = 35.769523098438 
longKickStep2[core.HeadPitch] = -22.146314647876 
longKickStep2[core.LHipYawPitch] = 0
longKickStep2[core.LHipRoll] = -15
longKickStep2[core.LHipPitch] = 5
longKickStep2[core.LKneePitch] = 20
longKickStep2[core.LAnklePitch] = -25
longKickStep2[core.LAnkleRoll] = 20
longKickStep2[core.RHipYawPitch] = 0.0024042265878445 
longKickStep2[core.RHipRoll] = 15  #  10  #  11  #  20.0024042265878445 
longKickStep2[core.RHipPitch] = -12  #  -25.969782246449 
longKickStep2[core.RKneePitch] = 16  #  45.286310538508 
longKickStep2[core.RAnklePitch] = -8  #  -19.3141240654713 
longKickStep2[core.RAnkleRoll] = -12  #  -17  #  -18  #  -20.5249410188505 
longKickStep2[core.LShoulderPitch] = -116
longKickStep2[core.LShoulderRoll] = 5  #  12
longKickStep2[core.LElbowYaw] = -30  #  -85
longKickStep2[core.LElbowRoll] = -26.5  #  0
longKickStep2[core.RShoulderPitch] = -116
longKickStep2[core.RShoulderRoll] = 5  #  12
longKickStep2[core.RElbowYaw] = -30  #  -85
longKickStep2[core.RElbowRoll] = -26.5  #  0



 #  Bowdoin's long kick
longKickShift = dict()
longKickShift[core.HeadYaw] = 0
longKickShift[core.HeadPitch] = -0 
longKickShift[core.LHipYawPitch] = 0
longKickShift[core.LHipRoll] = -0
longKickShift[core.LHipPitch] = -15
longKickShift[core.LKneePitch] = 20
longKickShift[core.LAnklePitch] = -10
longKickShift[core.LAnkleRoll] = -0
longKickShift[core.RHipYawPitch] = 0
longKickShift[core.RHipRoll] = 4
longKickShift[core.RHipPitch] = -12
longKickShift[core.RKneePitch] = 16
longKickShift[core.RAnklePitch] = -8
longKickShift[core.RAnkleRoll] = -6  #  -7  #  -6
longKickShift[core.LShoulderPitch] = -116
longKickShift[core.LShoulderRoll] = 12
longKickShift[core.LElbowYaw] = -85
longKickShift[core.LElbowRoll] = -0
longKickShift[core.RShoulderPitch] = -116
longKickShift[core.RShoulderRoll] = 12
longKickShift[core.RElbowYaw] = -85
longKickShift[core.RElbowRoll] = -0

longKickShift2 = dict()
longKickShift2[core.HeadYaw] = 0
longKickShift2[core.HeadPitch] = -0 
longKickShift2[core.LHipYawPitch] = 0
longKickShift2[core.LHipRoll] = -15
longKickShift2[core.LHipPitch] = -10
longKickShift2[core.LKneePitch] = 20
longKickShift2[core.LAnklePitch] = -10
longKickShift2[core.LAnkleRoll] = 20
longKickShift2[core.RHipYawPitch] = 0
longKickShift2[core.RHipRoll] = 11
longKickShift2[core.RHipPitch] = -12
longKickShift2[core.RKneePitch] = 16
longKickShift2[core.RAnklePitch] = -8
longKickShift2[core.RAnkleRoll] = -18
longKickShift2[core.LShoulderPitch] = -116
longKickShift2[core.LShoulderRoll] = 12
longKickShift2[core.LElbowYaw] = -85
longKickShift2[core.LElbowRoll] = -0
longKickShift2[core.RShoulderPitch] = -116
longKickShift2[core.RShoulderRoll] = 12
longKickShift2[core.RElbowYaw] = -85
longKickShift2[core.RElbowRoll] = -0

longKickShift2Step = dict()
longKickShift2Step[core.HeadYaw] = 0
longKickShift2Step[core.HeadPitch] = -0 
longKickShift2Step[core.LHipYawPitch] = 0
longKickShift2Step[core.LHipRoll] = -15
longKickShift2Step[core.LHipPitch] = 5
longKickShift2Step[core.LKneePitch] = 20
longKickShift2Step[core.LAnklePitch] = -25
longKickShift2Step[core.LAnkleRoll] = 20
longKickShift2Step[core.RHipYawPitch] = 0
longKickShift2Step[core.RHipRoll] = 11
longKickShift2Step[core.RHipPitch] = -12
longKickShift2Step[core.RKneePitch] = 16
longKickShift2Step[core.RAnklePitch] = -8
longKickShift2Step[core.RAnkleRoll] = -18
longKickShift2Step[core.LShoulderPitch] = -116
longKickShift2Step[core.LShoulderRoll] = 12
longKickShift2Step[core.LElbowYaw] = -85
longKickShift2Step[core.LElbowRoll] = -0
longKickShift2Step[core.RShoulderPitch] = -116
longKickShift2Step[core.RShoulderRoll] = 12
longKickShift2Step[core.RElbowYaw] = -85
longKickShift2Step[core.RElbowRoll] = -0

longKickLift = dict()
longKickLift[core.HeadYaw] = 0
longKickLift[core.HeadPitch] = -0 
longKickLift[core.LHipYawPitch] = 0
longKickLift[core.LHipRoll] = -15
longKickLift[core.LHipPitch] = -45
longKickLift[core.LKneePitch] = 85
longKickLift[core.LAnklePitch] = -37
longKickLift[core.LAnkleRoll] = 20
longKickLift[core.RHipYawPitch] = 0
longKickLift[core.RHipRoll] = 11
longKickLift[core.RHipPitch] = -12
longKickLift[core.RKneePitch] = 16
longKickLift[core.RAnklePitch] = -8
longKickLift[core.RAnkleRoll] = -18
longKickLift[core.LShoulderPitch] = -116
longKickLift[core.LShoulderRoll] = 12
longKickLift[core.LElbowYaw] = -85
longKickLift[core.LElbowRoll] = -0
longKickLift[core.RShoulderPitch] = -116
longKickLift[core.RShoulderRoll] = 12
longKickLift[core.RElbowYaw] = -85
longKickLift[core.RElbowRoll] = -0

longKickLiftStep = dict()
longKickLiftStep[core.HeadYaw] = 0
longKickLiftStep[core.HeadPitch] = -0 
longKickLiftStep[core.LHipYawPitch] = 0
longKickLiftStep[core.LHipRoll] = -15
longKickLiftStep[core.LHipPitch] = -30  #  -45
longKickLiftStep[core.LKneePitch] = 85
longKickLiftStep[core.LAnklePitch] = -52  #  -37
longKickLiftStep[core.LAnkleRoll] = 20
longKickLiftStep[core.RHipYawPitch] = 0
longKickLiftStep[core.RHipRoll] = 11
longKickLiftStep[core.RHipPitch] = -12
longKickLiftStep[core.RKneePitch] = 16
longKickLiftStep[core.RAnklePitch] = -8
longKickLiftStep[core.RAnkleRoll] = -18
longKickLiftStep[core.LShoulderPitch] = -116
longKickLiftStep[core.LShoulderRoll] = 12
longKickLiftStep[core.LElbowYaw] = -85
longKickLiftStep[core.LElbowRoll] = -0
longKickLiftStep[core.RShoulderPitch] = -116
longKickLiftStep[core.RShoulderRoll] = 12
longKickLiftStep[core.RElbowYaw] = -85
longKickLiftStep[core.RElbowRoll] = -0

longKickCock = dict()
longKickCock[core.HeadYaw] = 0
longKickCock[core.HeadPitch] = -0 
longKickCock[core.LHipYawPitch] = 0
longKickCock[core.LHipRoll] = -15
longKickCock[core.LHipPitch] = -22
longKickCock[core.LKneePitch] = 120
longKickCock[core.LAnklePitch] = 0
longKickCock[core.LAnkleRoll] = 20
longKickCock[core.RHipYawPitch] = 0
longKickCock[core.RHipRoll] = 9
longKickCock[core.RHipPitch] = -12
longKickCock[core.RKneePitch] = 16
longKickCock[core.RAnklePitch] = -8
longKickCock[core.RAnkleRoll] = -16
longKickCock[core.LShoulderPitch] = -20
longKickCock[core.LShoulderRoll] = 40
longKickCock[core.LElbowYaw] = 0
longKickCock[core.LElbowRoll] = 0
longKickCock[core.RShoulderPitch] = -100
longKickCock[core.RShoulderRoll] = 40
longKickCock[core.RElbowYaw] = -0
longKickCock[core.RElbowRoll] = -0

longKickKick = dict()
longKickKick[core.HeadYaw] = 0
longKickKick[core.HeadPitch] = -0 
longKickKick[core.LHipYawPitch] = 0
longKickKick[core.LHipRoll] = -15
longKickKick[core.LHipPitch] = -80
longKickKick[core.LKneePitch] = 60
longKickKick[core.LAnklePitch] = -5
longKickKick[core.LAnkleRoll] = 20
longKickKick[core.RHipYawPitch] = 0
longKickKick[core.RHipRoll] = 9
longKickKick[core.RHipPitch] = -22
longKickKick[core.RKneePitch] = 30
longKickKick[core.RAnklePitch] = -8
longKickKick[core.RAnkleRoll] = -16
longKickKick[core.LShoulderPitch] = -50
longKickKick[core.LShoulderRoll] = 40
longKickKick[core.LElbowYaw] = 0
longKickKick[core.LElbowRoll] = 0
longKickKick[core.RShoulderPitch] = -20
longKickKick[core.RShoulderRoll] = 40
longKickKick[core.RElbowYaw] = -0
longKickKick[core.RElbowRoll] = -0

longKickShiftback = dict()
longKickShiftback[core.HeadYaw] = 0
longKickShiftback[core.HeadPitch] = -0 
longKickShiftback[core.LHipYawPitch] = 0
longKickShiftback[core.LHipRoll] = -10
longKickShiftback[core.LHipPitch] = -15
longKickShiftback[core.LKneePitch] = 20
longKickShiftback[core.LAnklePitch] = -8
longKickShiftback[core.LAnkleRoll] = 15
longKickShiftback[core.RHipYawPitch] = 0
longKickShiftback[core.RHipRoll] = 0
longKickShiftback[core.RHipPitch] = -15
longKickShiftback[core.RKneePitch] = 20
longKickShiftback[core.RAnklePitch] = -8
longKickShiftback[core.RAnkleRoll] = 0
longKickShiftback[core.LShoulderPitch] = -83
longKickShiftback[core.LShoulderRoll] = 26
longKickShiftback[core.LElbowYaw] = -42.5
longKickShiftback[core.LElbowRoll] = 0
longKickShiftback[core.RShoulderPitch] = -68
longKickShiftback[core.RShoulderRoll] = 26
longKickShiftback[core.RElbowYaw] = -42.6
longKickShiftback[core.RElbowRoll] = 0

longKickStandend = dict()
longKickStandend[core.HeadYaw] = 0
longKickStandend[core.HeadPitch] = -0 
longKickStandend[core.LHipYawPitch] = 0
longKickStandend[core.LHipRoll] = -0
longKickStandend[core.LHipPitch] = -15
longKickStandend[core.LKneePitch] = 20
longKickStandend[core.LAnklePitch] = -10
longKickStandend[core.LAnkleRoll] = -0
longKickStandend[core.RHipYawPitch] = 0
longKickStandend[core.RHipRoll] = 0
longKickStandend[core.RHipPitch] = -15
longKickStandend[core.RKneePitch] = 20
longKickStandend[core.RAnklePitch] = -10
longKickStandend[core.RAnkleRoll] = 0
longKickStandend[core.LShoulderPitch] = -116
longKickStandend[core.LShoulderRoll] = 12
longKickStandend[core.LElbowYaw] = -85
longKickStandend[core.LElbowRoll] = -0
longKickStandend[core.RShoulderPitch] = -116
longKickStandend[core.RShoulderRoll] = 12
longKickStandend[core.RElbowYaw] = -85
longKickStandend[core.RElbowRoll] = -0

standHigh = dict()
standHigh[core.HeadYaw] = 0
standHigh[core.HeadPitch] = -0 
standHigh[core.LHipYawPitch] = 0
standHigh[core.LHipRoll] = -0
standHigh[core.LHipPitch] = -1
standHigh[core.LKneePitch] = -10
standHigh[core.LAnklePitch] = 0
standHigh[core.LAnkleRoll] = 0
standHigh[core.RHipYawPitch] = 0
standHigh[core.RHipRoll] = 0
standHigh[core.RHipPitch] = -1
standHigh[core.RKneePitch] = -10
standHigh[core.RAnklePitch] = 0
standHigh[core.RAnkleRoll] = 0
standHigh[core.LShoulderPitch] = -116
standHigh[core.LShoulderRoll] = 8
standHigh[core.LElbowYaw] = 25
standHigh[core.LElbowRoll] = -53
standHigh[core.RShoulderPitch] = -116
standHigh[core.RShoulderRoll] = 8
standHigh[core.RElbowYaw] = 25
standHigh[core.RElbowRoll] = -53


blockright = dict()
blockright[core.HeadYaw] = 0
blockright[core.HeadPitch] = 0
blockright[core.LHipYawPitch] = 0
blockright[core.LHipRoll] = 20
blockright[core.LHipPitch] = -32
blockright[core.LKneePitch] = 76
blockright[core.LAnklePitch] = -40
blockright[core.LAnkleRoll] = 17

blockright[core.RHipYawPitch] = 0
blockright[core.RHipRoll] = -34
blockright[core.RHipPitch] = -49
blockright[core.RKneePitch] = 125
blockright[core.RAnklePitch] = -70
blockright[core.RAnkleRoll] = -5

blockright[core.LShoulderPitch] = -97
blockright[core.LShoulderRoll]= 7
blockright[core.LElbowYaw] = -12
blockright[core.LElbowRoll] = -1

blockright[core.RShoulderPitch] = -91
blockright[core.RShoulderRoll]= 27
blockright[core.RElbowYaw] = -119
blockright[core.RElbowRoll] = -4

blockleft = dict()
blockleft[core.HeadYaw] = 0
blockleft[core.HeadPitch] = 0
blockleft[core.RHipYawPitch] = 0
blockleft[core.RHipRoll] = 20
blockleft[core.RHipPitch] = -32
blockleft[core.RKneePitch] = 76
blockleft[core.RAnklePitch] = -40
blockleft[core.RAnkleRoll] = 17

blockleft[core.LHipYawPitch] = 0
blockleft[core.LHipRoll] = -34
blockleft[core.LHipPitch] = -49
blockleft[core.LKneePitch] = 125
blockleft[core.LAnklePitch] = -70
blockleft[core.LAnkleRoll] = -5

blockleft[core.RShoulderPitch] = -97
blockleft[core.RShoulderRoll]= 7
blockleft[core.RElbowYaw] = -12
blockleft[core.RElbowRoll] = -1

blockleft[core.LShoulderPitch] = -91
blockleft[core.LShoulderRoll]= 27
blockleft[core.LElbowYaw] = -119
blockleft[core.LElbowRoll] = -4

keeperSaveArmForward = dict()
keeperSaveArmForward[core. HeadYaw ] = 1.84331779282 
keeperSaveArmForward[core. HeadPitch ] = -0.876518176188 
keeperSaveArmForward[core. LHipYawPitch ] = -0.349159270371 
keeperSaveArmForward[core. LHipRoll ] = -44.6514054725 
keeperSaveArmForward[core. LHipPitch ] = -47.54702319 
keeperSaveArmForward[core. LKneePitch ] = 124.188603187 
keeperSaveArmForward[core. LAnklePitch ] = -70.227895763 
keeperSaveArmForward[core. LAnkleRoll ] = -1.67234449752 
keeperSaveArmForward[core. RHipYawPitch ] = -0.349159270371 
keeperSaveArmForward[core. RHipRoll ] = 20.4811828301 
keeperSaveArmForward[core. RHipPitch ] = -15.0318939857 
keeperSaveArmForward[core. RKneePitch ] = 53.0890113618 
keeperSaveArmForward[core. RAnklePitch ] = -31.7265155627 
keeperSaveArmForward[core. RAnkleRoll ] = 25.3152218944 
keeperSaveArmForward[core. LShoulderPitch ] = -57.215114979 
keeperSaveArmForward[core. LShoulderRoll ] = 28.9139802662 
keeperSaveArmForward[core. LElbowYaw ] = -112.415925209 
keeperSaveArmForward[core. LElbowRoll ] = -2.2827858244
keeperSaveArmForward[core. RShoulderPitch ] = -116 
keeperSaveArmForward[core. RShoulderRoll ] = -2 
keeperSaveArmForward[core. RElbowYaw ] = 25 
keeperSaveArmForward[core. RElbowRoll ] = -53 

keeperSaveArmForward2 = dict()
keeperSaveArmForward2[core. HeadYaw ] = 0.437050144611 
keeperSaveArmForward2[core. HeadPitch ] = -0.70072276733 
keeperSaveArmForward2[core. LHipYawPitch ] = -3.77694434686 
keeperSaveArmForward2[core. LHipRoll ] = -44.5635145982 
keeperSaveArmForward2[core. LHipPitch ] = -47.8985866869 
keeperSaveArmForward2[core. LKneePitch ] = 124.100712313 
keeperSaveArmForward2[core. LAnklePitch ] = -70.3157866373 
keeperSaveArmForward2[core. LAnkleRoll ] = 4.30428959229 
keeperSaveArmForward2[core. RHipYawPitch ] = -3.77694434686 
keeperSaveArmForward2[core. RHipRoll ] = 20.0417147985 
keeperSaveArmForward2[core. RHipPitch ] = -20.4811828301 
keeperSaveArmForward2[core. RKneePitch ] = 71.8099588201 
keeperSaveArmForward2[core. RAnklePitch ] = -43.943456365 
keeperSaveArmForward2[core. RAnkleRoll ] = 17.6686475337 
keeperSaveArmForward2[core. LShoulderPitch ] = -77.6059890479 
keeperSaveArmForward2[core. LShoulderRoll ] = 24.4314910385 
keeperSaveArmForward2[core. LElbowYaw ] = -118.480450174 
keeperSaveArmForward2[core. LElbowRoll ] = -1.14019079891 
keeperSaveArmForward2[core. RShoulderPitch ] = -116 
keeperSaveArmForward2[core. RShoulderRoll ] = -2 
keeperSaveArmForward2[core. RElbowYaw ] = 25 
keeperSaveArmForward2[core. RElbowRoll ] = -53 

keeperSaveArmOut = dict()
keeperSaveArmOut[core. HeadYaw ] = 0.173377521892 
keeperSaveArmOut[core. HeadPitch ] = -0.524941018851 
keeperSaveArmOut[core. LHipYawPitch ] = -1.84331779282 
keeperSaveArmOut[core. LHipRoll ] = -38.4989759738 
keeperSaveArmOut[core. LHipPitch ] = -50.7990128576 
keeperSaveArmOut[core. LKneePitch ] = 124.188603187 
keeperSaveArmOut[core. LAnklePitch ] = -70.227895763 
keeperSaveArmOut[core. LAnkleRoll ] = 6.67737051752 
keeperSaveArmOut[core. RHipYawPitch ] = -1.84331779282 
keeperSaveArmOut[core. RHipRoll ] = 18.9870243077 
keeperSaveArmOut[core. RHipPitch ] = -21.7995596041 
keeperSaveArmOut[core. RKneePitch ] = 83.7632269997 
keeperSaveArmOut[core. RAnklePitch ] = -57.9182419729 
keeperSaveArmOut[core. RAnkleRoll ] = 9.67049601561 
keeperSaveArmOut[core. LShoulderPitch ] = -101.248866445 
keeperSaveArmOut[core. LShoulderRoll ] = 71.0141120082 
keeperSaveArmOut[core. LElbowYaw ] = -29.0066795936 
keeperSaveArmOut[core. LElbowRoll ] = -1.84331779282
keeperSaveArmOut[core. RShoulderPitch ] = -116 
keeperSaveArmOut[core. RShoulderRoll ] = -2 
keeperSaveArmOut[core. RElbowYaw ] = 25 
keeperSaveArmOut[core. RElbowRoll ] = -53 

keeperSaveArmBack = dict()
keeperSaveArmBack[core. HeadYaw ] = -0.0902951008276 
keeperSaveArmBack[core. HeadPitch ] = 0.0902951008276 
keeperSaveArmBack[core. LHipYawPitch ] = -9.66568756243 
keeperSaveArmBack[core. LHipRoll ] = -45.5303142149 
keeperSaveArmBack[core. LHipPitch ] = -60.6428863951 
keeperSaveArmBack[core. LKneePitch ] = 124.276494062 
keeperSaveArmBack[core. LAnklePitch ] = -70.227895763 
keeperSaveArmBack[core. LAnkleRoll ] = 3.33747631528 
keeperSaveArmBack[core. RHipYawPitch ] = -9.66568756243 
keeperSaveArmBack[core. RHipRoll ] = 20.6569645786 
keeperSaveArmBack[core. RHipPitch ] = -18.1959927791 
keeperSaveArmBack[core. RKneePitch ] = 60.9113811314 
keeperSaveArmBack[core. RAnklePitch ] = -40.5156849489 
keeperSaveArmBack[core. RAnkleRoll ] = 20.7448554528 
keeperSaveArmBack[core. LShoulderPitch ] = -121.463958765 
keeperSaveArmBack[core. LShoulderRoll ] = 26.6287902152 
keeperSaveArmBack[core. LElbowYaw ] = 70.6625416811 
keeperSaveArmBack[core. LElbowRoll ] = -0.437050144611 
keeperSaveArmBack[core. RShoulderPitch ] = -116 
keeperSaveArmBack[core. RShoulderRoll ] = -2 
keeperSaveArmBack[core. RElbowYaw ] = 25 
keeperSaveArmBack[core. RElbowRoll ] = -53 

keeperSaveArmBack2 = dict()
keeperSaveArmBack2[core. HeadYaw ] = 0.261268396131 
keeperSaveArmBack2[core. HeadPitch ] = -0.61283189309 
keeperSaveArmBack2[core. LHipYawPitch ] = -11.8629730788 
keeperSaveArmBack2[core. LHipRoll ] = -45.2666415922 
keeperSaveArmBack2[core. LHipPitch ] = -62.1370449175 
keeperSaveArmBack2[core. LKneePitch ] = 124.276494062 
keeperSaveArmBack2[core. LAnklePitch ] = -70.227895763 
keeperSaveArmBack2[core. LAnkleRoll ] = 5.09532112083 
keeperSaveArmBack2[core. RHipYawPitch ] = -11.8629730788 
keeperSaveArmBack2[core. RHipRoll ] = 20.5690737044 
keeperSaveArmBack2[core. RHipPitch ] = -20.6569645786 
keeperSaveArmBack2[core. RKneePitch ] = 68.4700509575 
keeperSaveArmBack2[core. RAnklePitch ] = -45.7012875102 
keeperSaveArmBack2[core. RAnkleRoll ] = 16.8776160052 
keeperSaveArmBack2[core. LShoulderPitch ] = -92.5475879328 
keeperSaveArmBack2[core. LShoulderRoll ] = 18.7185295714 
keeperSaveArmBack2[core. LElbowYaw ] = 74.0903199274 
keeperSaveArmBack2[core. LElbowRoll ] = -1.31597254739
keeperSaveArmBack2[core. RShoulderPitch ] = -116 
keeperSaveArmBack2[core. RShoulderRoll ] = -2 
keeperSaveArmBack2[core. RElbowYaw ] = 25 
keeperSaveArmBack2[core. RElbowRoll ] = -53 

keeperSave1 = dict()
keeperSave1[core. HeadYaw ] = 0.349159270371 
keeperSave1[core. HeadPitch ] = -0.61283189309 
keeperSave1[core. LHipYawPitch ] = -1.14019079891 
keeperSave1[core. LHipRoll ] = -43.3330286985 
keeperSave1[core. LHipPitch ] = -57.0393332305 
keeperSave1[core. LKneePitch ] = 124.100712313 
keeperSave1[core. LAnklePitch ] = -70.227895763 
keeperSave1[core. LAnkleRoll ] = 4.65585308925 
keeperSave1[core. RHipYawPitch ] = -1.14019079891 
keeperSave1[core. RHipRoll ] = 19.7780421758 
keeperSave1[core. RHipPitch ] = -23.9089542462 
keeperSave1[core. RKneePitch ] = 68.5579418317 
keeperSave1[core. RAnklePitch ] = -47.9864775612 
keeperSave1[core. RAnkleRoll ] = 17.4928521248 
keeperSave1[core. LShoulderPitch ] = -82.3521440682 
keeperSave1[core. LShoulderRoll ] = 63.3675308173 
keeperSave1[core. LElbowYaw ] = -13.3619537148 
keeperSave1[core. LElbowRoll ] = -9.05043778237 
keeperSave1[core. RShoulderPitch ] = -116 
keeperSave1[core. RShoulderRoll ] = -2 
keeperSave1[core. RElbowYaw ] = 25 
keeperSave1[core. RElbowRoll ] = -53  

keeperSave2 = dict()
keeperSave2[core. HeadYaw ] = 0.261268396131 
keeperSave2[core. HeadPitch ] = -0.349159270371 
keeperSave2[core. LHipYawPitch ] = -0.70072276733 
keeperSave2[core. LHipRoll ] = -39.2900075023 
keeperSave2[core. LHipPitch ] = -54.3146888083 
keeperSave2[core. LKneePitch ] = 124.276494062 
keeperSave2[core. LAnklePitch ] = -70.227895763 
keeperSave2[core. LAnkleRoll ] = -4.39698891971 
keeperSave2[core. RHipYawPitch ] = -0.70072276733 
keeperSave2[core. RHipRoll ] = 20.4811828301 
keeperSave2[core. RHipPitch ] = -22.9421409692 
keeperSave2[core. RKneePitch ] = 62.6691986162 
keeperSave2[core. RAnklePitch ] = -41.3945936913 
keeperSave2[core. RAnkleRoll ] = 20.3053874213 
keeperSave2[core. LShoulderPitch ] = -90.613968209 
keeperSave2[core. LShoulderRoll ] = 16.0817760234 
keeperSave2[core. LElbowYaw ] = -24.787876649 
keeperSave2[core. LElbowRoll ] = -1.75542691858 
keeperSave2[core. RShoulderPitch ] = -116 
keeperSave2[core. RShoulderRoll ] = -2 
keeperSave2[core. RElbowYaw ] = 25 
keeperSave2[core. RElbowRoll ] = -53

keeperSave3 = dict()
keeperSave3[core. HeadYaw ] = 0.437050144611 
keeperSave3[core. HeadPitch ] = 1.05710837784 
keeperSave3[core. LHipYawPitch ] = -2.19489495016 
keeperSave3[core. LHipRoll ] = -28.4793206878 
keeperSave3[core. LHipPitch ] = -59.1487278726 
keeperSave3[core. LKneePitch ] = 124.188603187 
keeperSave3[core. LAnklePitch ] = -70.4036775115 
keeperSave3[core. LAnkleRoll ] = 6.67737051752 
keeperSave3[core. RHipYawPitch ] = -2.19489495016 
keeperSave3[core. RHipRoll ] = 20.4811828301 
keeperSave3[core. RHipPitch ] = -40.0810253705 
keeperSave3[core. RKneePitch ] = 103.187301452 
keeperSave3[core. RAnklePitch ] = -68.2015767118 
keeperSave3[core. RAnkleRoll ] = -6.23790248595 
keeperSave3[core. LShoulderPitch ] = -86.7467287613 
keeperSave3[core. LShoulderRoll ] = 15.9938851492 
keeperSave3[core. LElbowYaw ] = -17.4928521248 
keeperSave3[core. LElbowRoll ] = -3.60116259838 
keeperSave3[core. RShoulderPitch ] = -116 
keeperSave3[core. RShoulderRoll ] = -2 
keeperSave3[core. RElbowYaw ] = 25 
keeperSave3[core. RElbowRoll ] = -53 

# Legs spread fall
goalieSquatFall = dict()
goalieSquatFall[core.HeadYaw] = 0.08548664765188
goalieSquatFall[core.HeadPitch] = -24.607286447345 
goalieSquatFall[core.LHipYawPitch] = -69.168383158614
goalieSquatFall[core.LHipRoll] = -70  # -30 # -55
goalieSquatFall[core.LHipPitch] = -89.910834384864
goalieSquatFall[core.LKneePitch] = 91.404992907317
goalieSquatFall[core.LAnklePitch] = 60 # 42.888752213748
goalieSquatFall[core.LAnkleRoll] = 11.071955210644 
goalieSquatFall[core.RHipYawPitch] = -69.168383158614
goalieSquatFall[core.RHipRoll] = -700 # -30  # -55
goalieSquatFall[core.RHipPitch] = -89.56407934108
goalieSquatFall[core.RKneePitch] = 92.728178134467
goalieSquatFall[core.RAnklePitch] = 60 # 41.39940214447
goalieSquatFall[core.RAnkleRoll] = 6.1548200648819 
goalieSquatFall[core.LShoulderPitch] = -145 # -90 # -116 # -90 # -14
goalieSquatFall[core.LShoulderRoll] = -10  # 90 # 8 # 90 # 16.472663752734
goalieSquatFall[core.LElbowYaw] = -1.8481262460004
goalieSquatFall[core.LElbowRoll] = -2.0190995413041
goalieSquatFall[core.RShoulderPitch] = -145  # -90 # -14
goalieSquatFall[core.RShoulderRoll] = -10 # 90 # 16.057673120688
goalieSquatFall[core.RElbowYaw] = -0.43705014461078
goalieSquatFall[core.RElbowRoll] = -2.8149395230157

goalieFallSplit = dict()
goalieFallSplit[core.HeadYaw] = 0.08548664765188
goalieFallSplit[core.HeadPitch] = -40 # -24.607286447345
goalieFallSplit[core.LHipYawPitch] = -69.168383158614
goalieFallSplit[core.LHipRoll] = -80 # -55
goalieFallSplit[core.LHipPitch] = -45 # -89.910834384864
goalieFallSplit[core.LKneePitch] = 45 # 60 # 91.404992907317
goalieFallSplit[core.LAnklePitch] = 67 # 42.888752213748
goalieFallSplit[core.LAnkleRoll] = 20 # 11.071955210644 
goalieFallSplit[core.RHipYawPitch] = -69.168383158614
goalieFallSplit[core.RHipRoll] = -80 # -55
goalieFallSplit[core.RHipPitch] = -45 # -89.56407934108
goalieFallSplit[core.RKneePitch] = 45 # 60 # 92.728178134467
goalieFallSplit[core.RAnklePitch] = 67 # 41.39940214447
goalieFallSplit[core.RAnkleRoll] = 20 # -6.1548200648819
goalieFallSplit[core.LShoulderPitch] = -145 # -90 # 1110 # -14
goalieFallSplit[core.LShoulderRoll] = -10 # -45 # 16.472663752734
goalieFallSplit[core.LElbowYaw] = -1.8481262460004
goalieFallSplit[core.LElbowRoll] = -2.0190995413041
goalieFallSplit[core.RShoulderPitch] = -145  # -90 # -14
goalieFallSplit[core.RShoulderRoll] = -10 # -30 # 16.057673120688
goalieFallSplit[core.RElbowYaw] = -0.43705014461078
goalieFallSplit[core.RElbowRoll] = -2.8149395230157
